From 432d9ef5f2e1c1f77f92881005e980266224de68 Mon Sep 17 00:00:00 2001
From: Aleksander Alekseev <aleksander@timescale.com>
Date: Fri, 18 Mar 2022 13:08:34 +0300
Subject: [PATCH v21 2/3] Update XID formatting in the .po files

This patch updates the XIDs formatting in the .po files. Previously the
formatting was changed from %u to %llu. This is one step toward 64-bit XIDs.

Author: Aleksander Alekseev <aleksander@timescale.com>
Discussion: https://postgr.es/m/CAJ7c6TPDOYBYrnCAeyndkBktO0WG2xSdYduTF0nxq%2BvfkmTF5Q%40mail.gmail.com
---
 src/bin/pg_controldata/po/cs.po    | 28 ++++++++--------
 src/bin/pg_controldata/po/de.po    | 28 ++++++++--------
 src/bin/pg_controldata/po/el.po    | 28 ++++++++--------
 src/bin/pg_controldata/po/es.po    | 28 ++++++++--------
 src/bin/pg_controldata/po/fr.po    | 28 ++++++++--------
 src/bin/pg_controldata/po/it.po    | 28 ++++++++--------
 src/bin/pg_controldata/po/ja.po    | 28 ++++++++--------
 src/bin/pg_controldata/po/ko.po    | 28 ++++++++--------
 src/bin/pg_controldata/po/pl.po    | 28 ++++++++--------
 src/bin/pg_controldata/po/pt_BR.po | 28 ++++++++--------
 src/bin/pg_controldata/po/ru.po    | 28 ++++++++--------
 src/bin/pg_controldata/po/sv.po    | 28 ++++++++--------
 src/bin/pg_controldata/po/tr.po    | 28 ++++++++--------
 src/bin/pg_controldata/po/uk.po    | 28 ++++++++--------
 src/bin/pg_controldata/po/vi.po    | 28 ++++++++--------
 src/bin/pg_controldata/po/zh_CN.po | 28 ++++++++--------
 src/bin/pg_resetwal/po/cs.po       | 52 +++++++++++++++---------------
 src/bin/pg_resetwal/po/de.po       | 52 +++++++++++++++---------------
 src/bin/pg_resetwal/po/es.po       | 52 +++++++++++++++---------------
 src/bin/pg_resetwal/po/fr.po       | 52 +++++++++++++++---------------
 src/bin/pg_resetwal/po/it.po       | 52 +++++++++++++++---------------
 src/bin/pg_resetwal/po/ja.po       | 52 +++++++++++++++---------------
 src/bin/pg_resetwal/po/ko.po       | 52 +++++++++++++++---------------
 src/bin/pg_resetwal/po/pl.po       | 48 +++++++++++++--------------
 src/bin/pg_resetwal/po/pt_BR.po    | 52 +++++++++++++++---------------
 src/bin/pg_resetwal/po/ru.po       | 52 +++++++++++++++---------------
 src/bin/pg_resetwal/po/sv.po       | 52 +++++++++++++++---------------
 src/bin/pg_resetwal/po/tr.po       | 52 +++++++++++++++---------------
 src/bin/pg_resetwal/po/uk.po       | 52 +++++++++++++++---------------
 src/bin/pg_resetwal/po/zh_CN.po    | 52 +++++++++++++++---------------
 30 files changed, 586 insertions(+), 586 deletions(-)

diff --git a/src/bin/pg_controldata/po/cs.po b/src/bin/pg_controldata/po/cs.po
index 4774832b80..5c61c0bde0 100644
--- a/src/bin/pg_controldata/po/cs.po
+++ b/src/bin/pg_controldata/po/cs.po
@@ -311,8 +311,8 @@ msgstr "zapnuto"
 
 #: pg_controldata.c:252
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "NextXID posledního checkpointu:            %u:%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "NextXID posledního checkpointu:            %u:%llu\n"
 
 #: pg_controldata.c:255
 #, c-format
@@ -321,8 +321,8 @@ msgstr "Poslední umístění NextOID checkpointu:     %u\n"
 
 #: pg_controldata.c:257
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "NextMultiXactId posledního checkpointu:    %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "NextMultiXactId posledního checkpointu:    %llu\n"
 
 #: pg_controldata.c:259
 #, c-format
@@ -331,8 +331,8 @@ msgstr "NextMultiOffset posledního checkpointu:    %u\n"
 
 #: pg_controldata.c:261
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "oldestXID posledního checkpointu:          %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "oldestXID posledního checkpointu:          %llu\n"
 
 #: pg_controldata.c:263
 #, c-format
@@ -341,13 +341,13 @@ msgstr "DB k oldestXID posledního checkpointu:     %u\n"
 
 #: pg_controldata.c:265
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "oldestActiveXID posledního checkpointu:    %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "oldestActiveXID posledního checkpointu:    %llu\n"
 
 #: pg_controldata.c:267
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "oldestMultiXid posledního checkpointu:     %u\n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "oldestMultiXid posledního checkpointu:     %llu\n"
 
 #: pg_controldata.c:269
 #, c-format
@@ -356,13 +356,13 @@ msgstr "DB k oldestMulti posledního checkpointu:   %u\n"
 
 #: pg_controldata.c:271
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "oldestCommitTsXid posledního checkpointu:  %u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "oldestCommitTsXid posledního checkpointu:  %llu\n"
 
 #: pg_controldata.c:273
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "newestCommitTsXid posledního checkpointu:  %u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "newestCommitTsXid posledního checkpointu:  %llu\n"
 
 #: pg_controldata.c:275
 #, c-format
diff --git a/src/bin/pg_controldata/po/de.po b/src/bin/pg_controldata/po/de.po
index 4a8785d336..913f7db1d8 100644
--- a/src/bin/pg_controldata/po/de.po
+++ b/src/bin/pg_controldata/po/de.po
@@ -298,8 +298,8 @@ msgstr "an"
 
 #: pg_controldata.c:252
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "NextXID des letzten Checkpoints:             %u:%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "NextXID des letzten Checkpoints:             %u:%llu\n"
 
 #: pg_controldata.c:255
 #, c-format
@@ -308,8 +308,8 @@ msgstr "NextOID des letzten Checkpoints:             %u\n"
 
 #: pg_controldata.c:257
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "NextMultiXactId des letzten Checkpoints:     %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "NextMultiXactId des letzten Checkpoints:     %llu\n"
 
 #: pg_controldata.c:259
 #, c-format
@@ -318,8 +318,8 @@ msgstr "NextMultiOffset des letzten Checkpoints:     %u\n"
 
 #: pg_controldata.c:261
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "oldestXID des letzten Checkpoints:           %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "oldestXID des letzten Checkpoints:           %llu\n"
 
 #: pg_controldata.c:263
 #, c-format
@@ -328,13 +328,13 @@ msgstr "DB der oldestXID des letzten Checkpoints:    %u\n"
 
 #: pg_controldata.c:265
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "oldestActiveXID des letzten Checkpoints:     %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "oldestActiveXID des letzten Checkpoints:     %llu\n"
 
 #: pg_controldata.c:267
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "oldestMultiXid des letzten Checkpoints:      %u\n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "oldestMultiXid des letzten Checkpoints:      %llu\n"
 
 #: pg_controldata.c:269
 #, c-format
@@ -343,13 +343,13 @@ msgstr "DB des oldestMulti des letzten Checkpoints:  %u\n"
 
 #: pg_controldata.c:271
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "oldestCommitTsXid des letzten Checkpoints:   %u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "oldestCommitTsXid des letzten Checkpoints:   %llu\n"
 
 #: pg_controldata.c:273
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "newestCommitTsXid des letzten Checkpoints:   %u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "newestCommitTsXid des letzten Checkpoints:   %llu\n"
 
 #: pg_controldata.c:275
 #, c-format
diff --git a/src/bin/pg_controldata/po/el.po b/src/bin/pg_controldata/po/el.po
index 12bbb0556b..8ea7c92605 100644
--- a/src/bin/pg_controldata/po/el.po
+++ b/src/bin/pg_controldata/po/el.po
@@ -307,8 +307,8 @@ msgstr "ανοικτό"
 
 #: pg_controldata.c:250
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "Πιο πρόσφατο NextXID του σημείου ελέγχου:          %u:%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "Πιο πρόσφατο NextXID του σημείου ελέγχου:          %u:%llu\n"
 
 #: pg_controldata.c:253
 #, c-format
@@ -317,8 +317,8 @@ msgstr "Πιο πρόσφατο NextOID του σημείου ελέγχου:
 
 #: pg_controldata.c:255
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "Πιο πρόσφατο NextMultiXactId του σημείου ελέγχου:  %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "Πιο πρόσφατο NextMultiXactId του σημείου ελέγχου:  %llu\n"
 
 #: pg_controldata.c:257
 #, c-format
@@ -327,8 +327,8 @@ msgstr "Πιο πρόσφατο NextMultiOffset του σημείου ελέγχ
 
 #: pg_controldata.c:259
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "Πιο πρόσφατο oldestXID του σημείου ελέγχου:         %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "Πιο πρόσφατο oldestXID του σημείου ελέγχου:         %llu\n"
 
 #: pg_controldata.c:261
 #, c-format
@@ -337,13 +337,13 @@ msgstr "Πιο πρόσφατο oldestXID’s DB του σημείου ελέγ
 
 #: pg_controldata.c:263
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "Πιο πρόσφατο oldestActiveXID του σημείου ελέγχου:  %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "Πιο πρόσφατο oldestActiveXID του σημείου ελέγχου:  %llu\n"
 
 #: pg_controldata.c:265
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "Πιο πρόσφατο oldestMultiXid του σημείου ελέγχου:   %u\n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "Πιο πρόσφατο oldestMultiXid του σημείου ελέγχου:   %llu\n"
 
 #: pg_controldata.c:267
 #, c-format
@@ -352,13 +352,13 @@ msgstr "Πιο πρόσφατο oldestMulti’s DB του σημείου ελέ
 
 #: pg_controldata.c:269
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "Πιο πρόσφατο oldestCommitTsXid του σημείου ελέγχου: %u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "Πιο πρόσφατο oldestCommitTsXid του σημείου ελέγχου: %llu\n"
 
 #: pg_controldata.c:271
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "Πιο πρόσφατο newestCommitTsXid του σημείου ελέγχου: %u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "Πιο πρόσφατο newestCommitTsXid του σημείου ελέγχου: %llu\n"
 
 #: pg_controldata.c:273
 #, c-format
diff --git a/src/bin/pg_controldata/po/es.po b/src/bin/pg_controldata/po/es.po
index 2764c38466..dc7e439776 100644
--- a/src/bin/pg_controldata/po/es.po
+++ b/src/bin/pg_controldata/po/es.po
@@ -301,8 +301,8 @@ msgstr "activado"
 
 #: pg_controldata.c:252
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "NextXID de último checkpoint:               %u/%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "NextXID de último checkpoint:               %u:%llu\n"
 
 #: pg_controldata.c:255
 #, c-format
@@ -311,8 +311,8 @@ msgstr "NextOID de último checkpoint:               %u\n"
 
 #: pg_controldata.c:257
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "NextMultiXactId de último checkpoint:       %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "NextMultiXactId de último checkpoint:       %llu\n"
 
 #: pg_controldata.c:259
 #, c-format
@@ -321,8 +321,8 @@ msgstr "NextMultiOffset de último checkpoint:       %u\n"
 
 #: pg_controldata.c:261
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "oldestXID del último checkpoint:            %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "oldestXID del último checkpoint:            %llu\n"
 
 #: pg_controldata.c:263
 #, c-format
@@ -331,13 +331,13 @@ msgstr "DB del oldestXID del último checkpoint:     %u\n"
 
 #: pg_controldata.c:265
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "oldestActiveXID del último checkpoint:      %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "oldestActiveXID del último checkpoint:      %llu\n"
 
 #: pg_controldata.c:267
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "oldestMultiXid del último checkpoint:       %u\n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "oldestMultiXid del último checkpoint:       %llu\n"
 
 #: pg_controldata.c:269
 #, c-format
@@ -346,13 +346,13 @@ msgstr "DB del oldestMultiXid del últ. checkpoint:  %u\n"
 
 #: pg_controldata.c:271
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "oldestCommitTsXid del último checkpoint:    %u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "oldestCommitTsXid del último checkpoint:    %llu\n"
 
 #: pg_controldata.c:273
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "newestCommitTsXid del último checkpoint:    %u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "newestCommitTsXid del último checkpoint:    %llu\n"
 
 #: pg_controldata.c:275
 #, c-format
diff --git a/src/bin/pg_controldata/po/fr.po b/src/bin/pg_controldata/po/fr.po
index bd3b6d68c2..78105d841d 100644
--- a/src/bin/pg_controldata/po/fr.po
+++ b/src/bin/pg_controldata/po/fr.po
@@ -304,8 +304,8 @@ msgstr "activé"
 
 #: pg_controldata.c:252
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "Dernier NextXID du point de contrôle :                  %u:%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "Dernier NextXID du point de contrôle :                  %u:%llu\n"
 
 #: pg_controldata.c:255
 #, c-format
@@ -314,8 +314,8 @@ msgstr "Dernier NextOID du point de contrôle :                  %u\n"
 
 #: pg_controldata.c:257
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "Dernier NextMultiXactId du point de contrôle :          %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "Dernier NextMultiXactId du point de contrôle :          %llu\n"
 
 #: pg_controldata.c:259
 #, c-format
@@ -324,8 +324,8 @@ msgstr "Dernier NextMultiOffset du point de contrôle :          %u\n"
 
 #: pg_controldata.c:261
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "Dernier oldestXID du point de contrôle :                %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "Dernier oldestXID du point de contrôle :                %llu\n"
 
 #: pg_controldata.c:263
 #, c-format
@@ -334,13 +334,13 @@ msgstr "Dernier oldestXID du point de contrôle de la base :     %u\n"
 
 #: pg_controldata.c:265
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "Dernier oldestActiveXID du point de contrôle :          %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "Dernier oldestActiveXID du point de contrôle :          %llu\n"
 
 #: pg_controldata.c:267
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "Dernier oldestMultiXid du point de restauration :       %u\n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "Dernier oldestMultiXid du point de restauration :       %llu\n"
 
 #: pg_controldata.c:269
 #, c-format
@@ -349,13 +349,13 @@ msgstr "Dernier oldestMulti du point de restauration de base :  %u\n"
 
 #: pg_controldata.c:271
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "Dernier oldestCommitTsXid du point de restauration :    %u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "Dernier oldestCommitTsXid du point de restauration :    %llu\n"
 
 #: pg_controldata.c:273
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "Dernier newestCommitTsXid du point de restauration :    %u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "Dernier newestCommitTsXid du point de restauration :    %llu\n"
 
 #: pg_controldata.c:275
 #, c-format
diff --git a/src/bin/pg_controldata/po/it.po b/src/bin/pg_controldata/po/it.po
index e1697bb668..fc97f4c580 100644
--- a/src/bin/pg_controldata/po/it.po
+++ b/src/bin/pg_controldata/po/it.po
@@ -285,8 +285,8 @@ msgstr "attivato"
 
 #: pg_controldata.c:258
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "NextXID dell'ultimo checkpoint:             %u:%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "NextXID dell'ultimo checkpoint:             %u:%llu\n"
 
 #: pg_controldata.c:261
 #, c-format
@@ -295,8 +295,8 @@ msgstr "NextOID dell'ultimo checkpoint:             %u\n"
 
 #: pg_controldata.c:263
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "NextMultiXactId dell'ultimo checkpoint:     %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "NextMultiXactId dell'ultimo checkpoint:     %llu\n"
 
 #: pg_controldata.c:265
 #, c-format
@@ -305,8 +305,8 @@ msgstr "NextMultiOffset dell'ultimo checkpoint:     %u\n"
 
 #: pg_controldata.c:267
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "oldestXID dell'ultimo checkpoint:           %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "oldestXID dell'ultimo checkpoint:           %llu\n"
 
 #: pg_controldata.c:269
 #, c-format
@@ -315,13 +315,13 @@ msgstr "DB dell'oldestXID dell'ultimo checkpoint:   %u\n"
 
 #: pg_controldata.c:271
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "oldestActiveXID dell'ultimo checkpoint:     %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "oldestActiveXID dell'ultimo checkpoint:     %llu\n"
 
 #: pg_controldata.c:273
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "oldestMultiXID dell'ultimo checkpoint:      %u\n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "oldestMultiXID dell'ultimo checkpoint:      %llu\n"
 
 #: pg_controldata.c:275
 #, c-format
@@ -330,13 +330,13 @@ msgstr "DB dell'oldestMulti dell'ultimo checkpoint: %u\n"
 
 #: pg_controldata.c:277
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "oldestCommitTsXid dell'ultimo checkpoint:   %u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "oldestCommitTsXid dell'ultimo checkpoint:   %llu\n"
 
 #: pg_controldata.c:279
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "newestCommitTsXid dell'ultimo checkpoint:   %u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "newestCommitTsXid dell'ultimo checkpoint:   %llu\n"
 
 #: pg_controldata.c:281
 #, c-format
diff --git a/src/bin/pg_controldata/po/ja.po b/src/bin/pg_controldata/po/ja.po
index a98a05fbf1..0a2990ac1b 100644
--- a/src/bin/pg_controldata/po/ja.po
+++ b/src/bin/pg_controldata/po/ja.po
@@ -301,8 +301,8 @@ msgstr "オン"
 
 #: pg_controldata.c:252
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "最終チェックポイントのNextXID:               %u:%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "最終チェックポイントのNextXID:               %u:%llu\n"
 
 #: pg_controldata.c:255
 #, c-format
@@ -311,8 +311,8 @@ msgstr "最終チェックポイントのNextOID:               %u\n"
 
 #: pg_controldata.c:257
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "最終チェックポイントのNextMultiXactId:       %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "最終チェックポイントのNextMultiXactId:       %llu\n"
 
 #: pg_controldata.c:259
 #, c-format
@@ -321,8 +321,8 @@ msgstr "最終チェックポイントのNextMultiOffset:       %u\n"
 
 #: pg_controldata.c:261
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "最終チェックポイントのoldestXID:             %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "最終チェックポイントのoldestXID:             %llu\n"
 
 #: pg_controldata.c:263
 #, c-format
@@ -331,13 +331,13 @@ msgstr "最終チェックポイントのoldestXIDのDB:         %u\n"
 
 #: pg_controldata.c:265
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "最終チェックポイントのoldestActiveXID:       %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "最終チェックポイントのoldestActiveXID:       %llu\n"
 
 #: pg_controldata.c:267
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "最終チェックポイントのoldestMultiXid:        %u\n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "最終チェックポイントのoldestMultiXid:        %llu\n"
 
 #: pg_controldata.c:269
 #, c-format
@@ -346,13 +346,13 @@ msgstr "最終チェックポイントのoldestMultiのDB:       %u\n"
 
 #: pg_controldata.c:271
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "最終チェックポイントのoldestCommitTsXid:     %u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "最終チェックポイントのoldestCommitTsXid:     %llu\n"
 
 #: pg_controldata.c:273
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "最終チェックポイントのnewestCommitTsXid:     %u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "最終チェックポイントのnewestCommitTsXid:     %llu\n"
 
 #: pg_controldata.c:275
 #, c-format
diff --git a/src/bin/pg_controldata/po/ko.po b/src/bin/pg_controldata/po/ko.po
index 962b36ece7..7f3055c7d6 100644
--- a/src/bin/pg_controldata/po/ko.po
+++ b/src/bin/pg_controldata/po/ko.po
@@ -290,8 +290,8 @@ msgstr "on"
 
 #: pg_controldata.c:252
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "마지막 체크포인트 NextXID:            %u:%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "마지막 체크포인트 NextXID:            %u:%llu\n"
 
 #: pg_controldata.c:255
 #, c-format
@@ -300,8 +300,8 @@ msgstr "마지막 체크포인트 NextOID:            %u\n"
 
 #: pg_controldata.c:257
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "마지막 체크포인트 NextMultiXactId:    %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "마지막 체크포인트 NextMultiXactId:    %llu\n"
 
 #: pg_controldata.c:259
 #, c-format
@@ -310,8 +310,8 @@ msgstr "마지막 체크포인트 NextMultiOffset:    %u\n"
 
 #: pg_controldata.c:261
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "마지막 체크포인트 제일오래된XID:      %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "마지막 체크포인트 제일오래된XID:      %llu\n"
 
 #: pg_controldata.c:263
 #, c-format
@@ -320,13 +320,13 @@ msgstr "마지막 체크포인트 제일오래된XID의 DB: %u\n"
 
 #: pg_controldata.c:265
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "마지막 체크포인트 제일오래된ActiveXID:%u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "마지막 체크포인트 제일오래된ActiveXID: %llu\n"
 
 #: pg_controldata.c:267
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "마지막 체크포인트 제일오래된MultiXid: %u\n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "마지막 체크포인트 제일오래된MultiXid: %llu\n"
 
 #: pg_controldata.c:269
 #, c-format
@@ -335,13 +335,13 @@ msgstr "마지막 체크포인트 제일오래된멀티Xid DB:%u\n"
 
 #: pg_controldata.c:271
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "마지막 체크포인트 제일오래된CommitTsXid:%u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "마지막 체크포인트 제일오래된CommitTsXid:%llu\n"
 
 #: pg_controldata.c:273
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "마지막 체크포인트 최신CommitTsXid:    %u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "마지막 체크포인트 최신CommitTsXid:    %llu\n"
 
 #: pg_controldata.c:275
 #, c-format
diff --git a/src/bin/pg_controldata/po/pl.po b/src/bin/pg_controldata/po/pl.po
index 7f52886303..59615b663a 100644
--- a/src/bin/pg_controldata/po/pl.po
+++ b/src/bin/pg_controldata/po/pl.po
@@ -244,8 +244,8 @@ msgstr "włączone"
 
 #: pg_controldata.c:228
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "NextXID najnowszego punktu kontrolnego:          %u:%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "NextXID najnowszego punktu kontrolnego:          %u:%llu\n"
 
 #: pg_controldata.c:231
 #, c-format
@@ -254,8 +254,8 @@ msgstr "NextOID najnowszego punktu kontrolnego:          %u\n"
 
 #: pg_controldata.c:233
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "NextMultiXactId najnowszego punktu kontrolnego:  %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "NextMultiXactId najnowszego punktu kontrolnego:  %llu\n"
 
 #: pg_controldata.c:235
 #, c-format
@@ -264,8 +264,8 @@ msgstr "NextMultiOffset najnowszego punktu kontrolnego:  %u\n"
 
 #: pg_controldata.c:237
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "NextXID najnowszego punktu kontrolnego:          %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "NextXID najnowszego punktu kontrolnego:          %llu\n"
 
 #: pg_controldata.c:239
 #, c-format
@@ -274,13 +274,13 @@ msgstr "DB oldestXID'u najnowszego punktu kontrolnego:   %u\n"
 
 #: pg_controldata.c:241
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "oldestActiveXID najnowszego punktu kontrolnego:  %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "oldestActiveXID najnowszego punktu kontrolnego:  %llu\n"
 
 #: pg_controldata.c:243
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "oldestMultiXid najnowszego punktu kontrolnego:   %u\n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "oldestMultiXid najnowszego punktu kontrolnego:   %llu\n"
 
 #: pg_controldata.c:245
 #, c-format
@@ -289,13 +289,13 @@ msgstr "DB oldestMulti'u najnowszego punktu kontrolnego: %u\n"
 
 #: pg_controldata.c:247
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "oldestCommitTsXid najnowszego punktu kontrolnego: %u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "oldestCommitTsXid najnowszego punktu kontrolnego: %llu\n"
 
 #: pg_controldata.c:249
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "newestCommitTsXid najnowszego punktu kontrolnego: %u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "newestCommitTsXid najnowszego punktu kontrolnego: %llu\n"
 
 #: pg_controldata.c:251
 #, c-format
diff --git a/src/bin/pg_controldata/po/pt_BR.po b/src/bin/pg_controldata/po/pt_BR.po
index f40e348ab9..e35f61b902 100644
--- a/src/bin/pg_controldata/po/pt_BR.po
+++ b/src/bin/pg_controldata/po/pt_BR.po
@@ -244,8 +244,8 @@ msgstr "habilitado"
 
 #: pg_controldata.c:217
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "NextXID do último ponto de controle:                 %u:%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "NextXID do último ponto de controle:                 %u:%llu\n"
 
 #: pg_controldata.c:220
 #, c-format
@@ -254,8 +254,8 @@ msgstr "NextOID do último ponto de controle:                 %u\n"
 
 #: pg_controldata.c:222
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "NextMultiXactId do último ponto de controle:         %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "NextMultiXactId do último ponto de controle:         %llu\n"
 
 #: pg_controldata.c:224
 #, c-format
@@ -264,8 +264,8 @@ msgstr "NextMultiOffset do último ponto de controle:         %u\n"
 
 #: pg_controldata.c:226
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "oldestXID do último ponto de controle:               %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "oldestXID do último ponto de controle:               %llu\n"
 
 #: pg_controldata.c:228
 #, c-format
@@ -274,13 +274,13 @@ msgstr "BD do oldestXID do último ponto de controle:         %u\n"
 
 #: pg_controldata.c:230
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "oldestActiveXID do último ponto de controle:         %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "oldestActiveXID do último ponto de controle:         %llu\n"
 
 #: pg_controldata.c:232
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "oldestMultiXid do último ponto de controle:          %u\n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "oldestMultiXid do último ponto de controle:          %llu\n"
 
 #: pg_controldata.c:234
 #, c-format
@@ -289,13 +289,13 @@ msgstr "BD do oldestMulti do último ponto de controle:       %u\n"
 
 #: pg_controldata.c:236
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "oldestCommitTsXid do último ponto de controle:       %u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "oldestCommitTsXid do último ponto de controle:       %llu\n"
 
 #: pg_controldata.c:238
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "newestCommitTsXid do último ponto de controle:       %u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "newestCommitTsXid do último ponto de controle:       %llu\n"
 
 #: pg_controldata.c:240
 #, c-format
diff --git a/src/bin/pg_controldata/po/ru.po b/src/bin/pg_controldata/po/ru.po
index 39343c05a1..fe9b6ff5f6 100644
--- a/src/bin/pg_controldata/po/ru.po
+++ b/src/bin/pg_controldata/po/ru.po
@@ -317,8 +317,8 @@ msgstr "вкл."
 # skip-rule: capital-letter-first
 #: pg_controldata.c:252
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "NextXID последней конт. точки:        %u:%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "NextXID последней конт. точки:        %u:%llu\n"
 
 # skip-rule: capital-letter-first
 #: pg_controldata.c:255
@@ -329,8 +329,8 @@ msgstr "NextOID последней конт. точки:        %u\n"
 # skip-rule: capital-letter-first
 #: pg_controldata.c:257
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "NextMultiXactId послед. конт. точки:  %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "NextMultiXactId послед. конт. точки:  %llu\n"
 
 # skip-rule: capital-letter-first
 #: pg_controldata.c:259
@@ -341,8 +341,8 @@ msgstr "NextMultiOffset послед. конт. точки:  %u\n"
 # skip-rule: capital-letter-first
 #: pg_controldata.c:261
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "oldestXID последней конт. точки:      %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "oldestXID последней конт. точки:      %llu\n"
 
 # skip-rule: capital-letter-first
 #: pg_controldata.c:263
@@ -353,14 +353,14 @@ msgstr "БД с oldestXID последней конт. точки: %u\n"
 # skip-rule: capital-letter-first
 #: pg_controldata.c:265
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "oldestActiveXID последней к. т.:      %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "oldestActiveXID последней к. т.:      %llu\n"
 
 # skip-rule: capital-letter-first
 #: pg_controldata.c:267
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "oldestMultiXid последней конт. точки: %u\n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "oldestMultiXid последней конт. точки: %llu\n"
 
 # skip-rule: double-space, capital-letter-first
 #: pg_controldata.c:269
@@ -371,14 +371,14 @@ msgstr "БД с oldestMulti последней к. т.:     %u\n"
 # skip-rule: double-space, capital-letter-first
 #: pg_controldata.c:271
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "oldestCommitTsXid последней к. т.:    %u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "oldestCommitTsXid последней к. т.:    %llu\n"
 
 # skip-rule: capital-letter-first, double-space
 #: pg_controldata.c:273
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "newestCommitTsXid последней к. т.:    %u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "newestCommitTsXid последней к. т.:    %llu\n"
 
 #: pg_controldata.c:275
 #, c-format
diff --git a/src/bin/pg_controldata/po/sv.po b/src/bin/pg_controldata/po/sv.po
index 3526df1a9c..f9d5bf2416 100644
--- a/src/bin/pg_controldata/po/sv.po
+++ b/src/bin/pg_controldata/po/sv.po
@@ -304,8 +304,8 @@ msgstr "på"
 
 #: pg_controldata.c:252
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "NextXID vid senaste checkpoint:             %u:%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "NextXID vid senaste checkpoint:             %u:%llu\n"
 
 #: pg_controldata.c:255
 #, c-format
@@ -314,8 +314,8 @@ msgstr "NextOID vid senaste checkpoint:             %u\n"
 
 #: pg_controldata.c:257
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "NextMultiXactId vid senaste checkpoint:     %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "NextMultiXactId vid senaste checkpoint:     %llu\n"
 
 #: pg_controldata.c:259
 #, c-format
@@ -324,8 +324,8 @@ msgstr "NextMultiOffset vid senaste checkpoint:     %u\n"
 
 #: pg_controldata.c:261
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "oldestXID vid senaste checkpoint:           %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "oldestXID vid senaste checkpoint:           %llu\n"
 
 #: pg_controldata.c:263
 #, c-format
@@ -334,13 +334,13 @@ msgstr "DB för oldestXID vid senaste checkpoint:    %u\n"
 
 #: pg_controldata.c:265
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "oldestActiveXID vid senaste checkpoint:     %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "oldestActiveXID vid senaste checkpoint:     %llu\n"
 
 #: pg_controldata.c:267
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "oldestMultiXid vid senaste checkpoint:      %u\n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "oldestMultiXid vid senaste checkpoint:      %llu\n"
 
 #: pg_controldata.c:269
 #, c-format
@@ -349,13 +349,13 @@ msgstr "DB för oldestMulti vid senaste checkpoint:  %u\n"
 
 #: pg_controldata.c:271
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "oldestCommitTsXid vid senaste checkpoint:   %u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "oldestCommitTsXid vid senaste checkpoint:   %llu\n"
 
 #: pg_controldata.c:273
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "newestCommitTsXid vid senaste checkpoint:   %u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "newestCommitTsXid vid senaste checkpoint:   %llu\n"
 
 #: pg_controldata.c:275
 #, c-format
diff --git a/src/bin/pg_controldata/po/tr.po b/src/bin/pg_controldata/po/tr.po
index 528889f280..c9f0d21a39 100644
--- a/src/bin/pg_controldata/po/tr.po
+++ b/src/bin/pg_controldata/po/tr.po
@@ -298,8 +298,8 @@ msgstr "açık"
 
 #: pg_controldata.c:258
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "En son checkpoint'in NextXID'si:          %u:%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "En son checkpoint'in NextXID'si:          %u:%llu\n"
 
 #: pg_controldata.c:261
 #, c-format
@@ -308,8 +308,8 @@ msgstr "En son checkpoint'in NextOID'si:          %u\n"
 
 #: pg_controldata.c:263
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "En son checkpoint'in NextMultiXactId'si:          %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "En son checkpoint'in NextMultiXactId'si:          %llu\n"
 
 #: pg_controldata.c:265
 #, c-format
@@ -318,8 +318,8 @@ msgstr "En son checkpoint'in NextMultiOffset'i:  %u\n"
 
 #: pg_controldata.c:267
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "En son checkpoint'in oldestXID'si:          %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "En son checkpoint'in oldestXID'si:          %llu\n"
 
 #: pg_controldata.c:269
 #, c-format
@@ -328,13 +328,13 @@ msgstr "En son checkpoint'in oldestXID'sini DB'si:          %u\n"
 
 #: pg_controldata.c:271
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "En son checkpoint'in odestActiveXID'si:          %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "En son checkpoint'in odestActiveXID'si:          %llu\n"
 
 #: pg_controldata.c:273
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "En son checkpoint'in oldestMultiXid'si:   %u\n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "En son checkpoint'in oldestMultiXid'si:   %llu\n"
 
 #: pg_controldata.c:275
 #, c-format
@@ -343,13 +343,13 @@ msgstr "En son checkpoint'in oldestMulti'sinin DB'si: %u\n"
 
 #: pg_controldata.c:277
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "En son checkpoint'in oldestCommitTsXid'si: %u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "En son checkpoint'in oldestCommitTsXid'si: %llu\n"
 
 #: pg_controldata.c:279
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "En son checkpoint'in newestCommitTsXid'si: %u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "En son checkpoint'in newestCommitTsXid'si: %llu\n"
 
 #: pg_controldata.c:281
 #, c-format
diff --git a/src/bin/pg_controldata/po/uk.po b/src/bin/pg_controldata/po/uk.po
index 23c5dfb714..4666d291e5 100644
--- a/src/bin/pg_controldata/po/uk.po
+++ b/src/bin/pg_controldata/po/uk.po
@@ -265,8 +265,8 @@ msgstr "увімк"
 
 #: pg_controldata.c:252
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "Останній NextXID контрольної точки: %u%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "Останній NextXID контрольної точки: %u:%llu\n"
 
 #: pg_controldata.c:255
 #, c-format
@@ -275,8 +275,8 @@ msgstr "Останній NextOID контрольної точки: %u\n"
 
 #: pg_controldata.c:257
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "Останній NextMultiXactId контрольної точки: %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "Останній NextMultiXactId контрольної точки: %llu\n"
 
 #: pg_controldata.c:259
 #, c-format
@@ -285,8 +285,8 @@ msgstr "Останній NextMultiOffset контрольної точки: %u\n
 
 #: pg_controldata.c:261
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "Останній oldestXID контрольної точки: %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "Останній oldestXID контрольної точки: %llu\n"
 
 #: pg_controldata.c:263
 #, c-format
@@ -295,13 +295,13 @@ msgstr "Остання DB останнього oldestXID контрольної
 
 #: pg_controldata.c:265
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "Останній oldestActiveXID контрольної точки: %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "Останній oldestActiveXID контрольної точки: %llu\n"
 
 #: pg_controldata.c:267
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "Останній oldestMultiXid контрольної точки: %u \n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "Останній oldestMultiXid контрольної точки: %llu\n"
 
 #: pg_controldata.c:269
 #, c-format
@@ -310,13 +310,13 @@ msgstr "Остання DB останньої oldestMulti контрольної
 
 #: pg_controldata.c:271
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "Останній oldestCommitTsXid контрольної точки:%u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "Останній oldestCommitTsXid контрольної точки:%llu\n"
 
 #: pg_controldata.c:273
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "Останній newestCommitTsXid контрольної точки: %u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "Останній newestCommitTsXid контрольної точки: %llu\n"
 
 #: pg_controldata.c:275
 #, c-format
diff --git a/src/bin/pg_controldata/po/vi.po b/src/bin/pg_controldata/po/vi.po
index 019b7b05d8..4a530768c2 100644
--- a/src/bin/pg_controldata/po/vi.po
+++ b/src/bin/pg_controldata/po/vi.po
@@ -262,8 +262,8 @@ msgstr "on"
 
 #: pg_controldata.c:252
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "NextXID của checkpoint gần nhất:                 %u:%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "NextXID của checkpoint gần nhất:                 %u:%llu\n"
 
 #: pg_controldata.c:255
 #, c-format
@@ -272,8 +272,8 @@ msgstr "NextOID của checkpoint gần nhất:                 %u\n"
 
 #: pg_controldata.c:257
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "NextMultiXactId của checkpoint gần nhất:         %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "NextMultiXactId của checkpoint gần nhất:         %llu\n"
 
 #: pg_controldata.c:259
 #, c-format
@@ -282,8 +282,8 @@ msgstr "NextMultiOffset của checkpoint gần nhất:         %u\n"
 
 #: pg_controldata.c:261
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "OldestXID của checkpoint gần nhất:               %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "OldestXID của checkpoint gần nhất:               %llu\n"
 
 #: pg_controldata.c:263
 #, c-format
@@ -292,13 +292,13 @@ msgstr "OldestXID DB của checkpoint gần nhất:            %u\n"
 
 #: pg_controldata.c:265
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "OldestActiveXID của checkpoint gần nhất:         %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "OldestActiveXID của checkpoint gần nhất:         %llu\n"
 
 #: pg_controldata.c:267
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "OldestMultiXid của checkpoint gần nhất:          %u\n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "OldestMultiXid của checkpoint gần nhất:          %llu\n"
 
 #: pg_controldata.c:269
 #, c-format
@@ -307,13 +307,13 @@ msgstr "OldestMulti DB của checkpoint gần nhất:          %u\n"
 
 #: pg_controldata.c:271
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "OldestCommitTsXid DB của checkpoint gần nhất:    %u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "OldestCommitTsXid DB của checkpoint gần nhất:    %llu\n"
 
 #: pg_controldata.c:273
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "NewestCommitTsXid của checkpoint gần nhất:       %u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "NewestCommitTsXid của checkpoint gần nhất:       %llu\n"
 
 #: pg_controldata.c:275
 #, c-format
diff --git a/src/bin/pg_controldata/po/zh_CN.po b/src/bin/pg_controldata/po/zh_CN.po
index 259996bfc0..caf24e1850 100644
--- a/src/bin/pg_controldata/po/zh_CN.po
+++ b/src/bin/pg_controldata/po/zh_CN.po
@@ -286,8 +286,8 @@ msgstr "开启"
 
 #: pg_controldata.c:260
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "最新检查点的NextXID:          %u:%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "最新检查点的NextXID:          %u:%llu\n"
 
 #: pg_controldata.c:263
 #, c-format
@@ -296,8 +296,8 @@ msgstr "最新检查点的 NextOID:                 %u\n"
 
 #: pg_controldata.c:265
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "最新检查点的NextMultiXactId: %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "最新检查点的NextMultiXactId: %llu\n"
 
 #: pg_controldata.c:267
 #, c-format
@@ -306,8 +306,8 @@ msgstr "最新检查点的NextMultiOffsetD: %u\n"
 
 #: pg_controldata.c:269
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "最新检查点的oldestXID:            %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "最新检查点的oldestXID:            %llu\n"
 
 #: pg_controldata.c:271
 #, c-format
@@ -316,13 +316,13 @@ msgstr "最新检查点的oldestXID所在的数据库：%u\n"
 
 #: pg_controldata.c:273
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "最新检查点的oldestActiveXID:  %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "最新检查点的oldestActiveXID:  %llu\n"
 
 #: pg_controldata.c:275
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "最新检查点的oldestMultiXid:  %u\n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "最新检查点的oldestMultiXid:  %llu\n"
 
 #: pg_controldata.c:277
 #, c-format
@@ -331,13 +331,13 @@ msgstr "最新检查点的oldestMulti所在的数据库：%u\n"
 
 #: pg_controldata.c:279
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "最新检查点的oldestCommitTsXid:%u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "最新检查点的oldestCommitTsXid:%llu\n"
 
 #: pg_controldata.c:281
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "最新检查点的newestCommitTsXid:%u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "最新检查点的newestCommitTsXid:%llu\n"
 
 #: pg_controldata.c:283
 #, c-format
diff --git a/src/bin/pg_resetwal/po/cs.po b/src/bin/pg_resetwal/po/cs.po
index f1ec4d9da1..fd540ff3c8 100644
--- a/src/bin/pg_resetwal/po/cs.po
+++ b/src/bin/pg_resetwal/po/cs.po
@@ -307,8 +307,8 @@ msgstr "zapnuto"
 
 #: pg_resetwal.c:758
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "NextXID posledního checkpointu:            %u:%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "NextXID posledního checkpointu:            %u:%llu\n"
 
 #: pg_resetwal.c:761
 #, c-format
@@ -317,8 +317,8 @@ msgstr "Poslední umístění NextOID checkpointu:     %u\n"
 
 #: pg_resetwal.c:763
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "NextMultiXactId posledního checkpointu:    %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "NextMultiXactId posledního checkpointu:    %llu\n"
 
 #: pg_resetwal.c:765
 #, c-format
@@ -327,8 +327,8 @@ msgstr "NextMultiOffset posledního checkpointu:    %u\n"
 
 #: pg_resetwal.c:767
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "oldestXID posledního checkpointu:          %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "oldestXID posledního checkpointu:          %llu\n"
 
 #: pg_resetwal.c:769
 #, c-format
@@ -337,13 +337,13 @@ msgstr "DB k oldestXID posledního checkpointu:     %u\n"
 
 #: pg_resetwal.c:771
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "oldestActiveXID posledního checkpointu:    %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "oldestActiveXID posledního checkpointu:    %llu\n"
 
 #: pg_resetwal.c:773
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "oldestMultiXid posledního checkpointu:     %u\n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "oldestMultiXid posledního checkpointu:     %llu\n"
 
 #: pg_resetwal.c:775
 #, c-format
@@ -352,13 +352,13 @@ msgstr "DB k oldestMulti posledního checkpointu:   %u\n"
 
 #: pg_resetwal.c:777
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "oldestCommitTsXid posledního checkpointu:  %u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "oldestCommitTsXid posledního checkpointu:  %llu\n"
 
 #: pg_resetwal.c:779
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "newestCommitTsXid posledního checkpointu:  %u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "newestCommitTsXid posledního checkpointu:  %llu\n"
 
 #: pg_resetwal.c:781
 #, c-format
@@ -452,13 +452,13 @@ msgstr "První log segment po resetu:               %s\n"
 
 #: pg_resetwal.c:827
 #, c-format
-msgid "NextMultiXactId:                      %u\n"
-msgstr "NextMultiXactId:                           %u\n"
+msgid "NextMultiXactId:                      %llu\n"
+msgstr "NextMultiXactId:                           %llu\n"
 
 #: pg_resetwal.c:829
 #, c-format
-msgid "OldestMultiXid:                       %u\n"
-msgstr "OldestMultiXid:                            %u\n"
+msgid "OldestMultiXid:                       %llu\n"
+msgstr "OldestMultiXid:                            %llu\n"
 
 #: pg_resetwal.c:831
 #, c-format
@@ -477,13 +477,13 @@ msgstr "NextOID:                                   %u\n"
 
 #: pg_resetwal.c:849
 #, c-format
-msgid "NextXID:                              %u\n"
-msgstr "NextXID:                                   %u\n"
+msgid "NextXID:                              %llu\n"
+msgstr "NextXID:                                   %llu\n"
 
 #: pg_resetwal.c:851
 #, c-format
-msgid "OldestXID:                            %u\n"
-msgstr "OldestXID:                                 %u\n"
+msgid "OldestXID:                            %llu\n"
+msgstr "OldestXID:                                 %llu\n"
 
 #: pg_resetwal.c:853
 #, c-format
@@ -497,13 +497,13 @@ msgstr "NextXID epoch:                             %u\n"
 
 #: pg_resetwal.c:865
 #, c-format
-msgid "oldestCommitTsXid:                    %u\n"
-msgstr "oldestCommitTsXid:                         %u\n"
+msgid "oldestCommitTsXid:                    %llu\n"
+msgstr "oldestCommitTsXid:                         %llu\n"
 
 #: pg_resetwal.c:870
 #, c-format
-msgid "newestCommitTsXid:                    %u\n"
-msgstr "newestCommitTsXid:                         %u\n"
+msgid "newestCommitTsXid:                    %llu\n"
+msgstr "newestCommitTsXid:                         %llu\n"
 
 #: pg_resetwal.c:956 pg_resetwal.c:1024 pg_resetwal.c:1071
 #, c-format
diff --git a/src/bin/pg_resetwal/po/de.po b/src/bin/pg_resetwal/po/de.po
index 433f4008fa..256b12cdef 100644
--- a/src/bin/pg_resetwal/po/de.po
+++ b/src/bin/pg_resetwal/po/de.po
@@ -305,8 +305,8 @@ msgstr "an"
 
 #: pg_resetwal.c:758
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "NextXID des letzten Checkpoints:             %u:%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "NextXID des letzten Checkpoints:             %u:%llu\n"
 
 #: pg_resetwal.c:761
 #, c-format
@@ -315,8 +315,8 @@ msgstr "NextOID des letzten Checkpoints:             %u\n"
 
 #: pg_resetwal.c:763
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "NextMultiXactId des letzten Checkpoints:     %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "NextMultiXactId des letzten Checkpoints:     %llu\n"
 
 #: pg_resetwal.c:765
 #, c-format
@@ -325,8 +325,8 @@ msgstr "NextMultiOffset des letzten Checkpoints:     %u\n"
 
 #: pg_resetwal.c:767
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "oldestXID des letzten Checkpoints:           %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "oldestXID des letzten Checkpoints:           %llu\n"
 
 #: pg_resetwal.c:769
 #, c-format
@@ -335,13 +335,13 @@ msgstr "DB der oldestXID des letzten Checkpoints:    %u\n"
 
 #: pg_resetwal.c:771
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "oldestActiveXID des letzten Checkpoints:     %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "oldestActiveXID des letzten Checkpoints:     %llu\n"
 
 #: pg_resetwal.c:773
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "oldestMultiXid des letzten Checkpoints:      %u\n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "oldestMultiXid des letzten Checkpoints:      %llu\n"
 
 #: pg_resetwal.c:775
 #, c-format
@@ -350,13 +350,13 @@ msgstr "DB des oldestMulti des letzten Checkpoints:  %u\n"
 
 #: pg_resetwal.c:777
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "oldestCommitTsXid des letzten Checkpoints:   %u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "oldestCommitTsXid des letzten Checkpoints:   %llu\n"
 
 #: pg_resetwal.c:779
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "newestCommitTsXid des letzten Checkpoints:   %u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "newestCommitTsXid des letzten Checkpoints:   %llu\n"
 
 #: pg_resetwal.c:781
 #, c-format
@@ -450,13 +450,13 @@ msgstr "Erstes Logdateisegment nach Zurücksetzen:    %s\n"
 
 #: pg_resetwal.c:827
 #, c-format
-msgid "NextMultiXactId:                      %u\n"
-msgstr "NextMultiXactId:                             %u\n"
+msgid "NextMultiXactId:                      %llu\n"
+msgstr "NextMultiXactId:                             %llu\n"
 
 #: pg_resetwal.c:829
 #, c-format
-msgid "OldestMultiXid:                       %u\n"
-msgstr "OldestMultiXid:                              %u\n"
+msgid "OldestMultiXid:                       %llu\n"
+msgstr "OldestMultiXid:                              %llu\n"
 
 #: pg_resetwal.c:831
 #, c-format
@@ -475,13 +475,13 @@ msgstr "NextOID:                                     %u\n"
 
 #: pg_resetwal.c:849
 #, c-format
-msgid "NextXID:                              %u\n"
-msgstr "NextXID:                                     %u\n"
+msgid "NextXID:                              %llu\n"
+msgstr "NextXID:                                     %llu\n"
 
 #: pg_resetwal.c:851
 #, c-format
-msgid "OldestXID:                            %u\n"
-msgstr "OldestXID:                                   %u\n"
+msgid "OldestXID:                            %llu\n"
+msgstr "OldestXID:                                   %llu\n"
 
 #: pg_resetwal.c:853
 #, c-format
@@ -495,13 +495,13 @@ msgstr "NextXID-Epoche:                              %u\n"
 
 #: pg_resetwal.c:865
 #, c-format
-msgid "oldestCommitTsXid:                    %u\n"
-msgstr "oldestCommitTsXid:                           %u\n"
+msgid "oldestCommitTsXid:                    %llu\n"
+msgstr "oldestCommitTsXid:                           %llu\n"
 
 #: pg_resetwal.c:870
 #, c-format
-msgid "newestCommitTsXid:                    %u\n"
-msgstr "newestCommitTsXid:                           %u\n"
+msgid "newestCommitTsXid:                    %llu\n"
+msgstr "newestCommitTsXid:                           %llu\n"
 
 #: pg_resetwal.c:956 pg_resetwal.c:1024 pg_resetwal.c:1071
 #, c-format
diff --git a/src/bin/pg_resetwal/po/es.po b/src/bin/pg_resetwal/po/es.po
index 4403bc0908..eccdc309fd 100644
--- a/src/bin/pg_resetwal/po/es.po
+++ b/src/bin/pg_resetwal/po/es.po
@@ -309,8 +309,8 @@ msgstr "activado"
 
 #: pg_resetwal.c:758
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "NextXID del checkpoint más reciente:             %u:%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "NextXID del checkpoint más reciente:             %u:%llu\n"
 
 #: pg_resetwal.c:761
 #, c-format
@@ -319,8 +319,8 @@ msgstr "NextOID del checkpoint más reciente:             %u\n"
 
 #: pg_resetwal.c:763
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "NextMultiXactId del checkpoint más reciente:     %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "NextMultiXactId del checkpoint más reciente:     %llu\n"
 
 #: pg_resetwal.c:765
 #, c-format
@@ -329,8 +329,8 @@ msgstr "NextMultiOffset del checkpoint más reciente:     %u\n"
 
 #: pg_resetwal.c:767
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "oldestXID del checkpoint más reciente:           %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "oldestXID del checkpoint más reciente:           %llu\n"
 
 #: pg_resetwal.c:769
 #, c-format
@@ -339,13 +339,13 @@ msgstr "BD del oldestXID del checkpoint más reciente:    %u\n"
 
 #: pg_resetwal.c:771
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "oldestActiveXID del checkpoint más reciente:     %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "oldestActiveXID del checkpoint más reciente:     %llu\n"
 
 #: pg_resetwal.c:773
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "oldestMultiXid del checkpoint más reciente:      %u\n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "oldestMultiXid del checkpoint más reciente:      %llu\n"
 
 #: pg_resetwal.c:775
 #, c-format
@@ -354,13 +354,13 @@ msgstr "BD del oldestMultiXid del checkpt. más reciente: %u\n"
 
 #: pg_resetwal.c:777
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "oldestCommitTsXid del último checkpoint:         %u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "oldestCommitTsXid del último checkpoint:         %llu\n"
 
 #: pg_resetwal.c:779
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "newestCommitTsXid del último checkpoint:         %u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "newestCommitTsXid del último checkpoint:         %llu\n"
 
 #: pg_resetwal.c:781
 #, c-format
@@ -454,13 +454,13 @@ msgstr "Primer segmento de log después de reiniciar:     %s\n"
 
 #: pg_resetwal.c:827
 #, c-format
-msgid "NextMultiXactId:                      %u\n"
-msgstr "NextMultiXactId:                      %u\n"
+msgid "NextMultiXactId:                      %llu\n"
+msgstr "NextMultiXactId:                      %llu\n"
 
 #: pg_resetwal.c:829
 #, c-format
-msgid "OldestMultiXid:                       %u\n"
-msgstr "OldestMultiXid:                       %u\n"
+msgid "OldestMultiXid:                       %llu\n"
+msgstr "OldestMultiXid:                       %llu\n"
 
 #: pg_resetwal.c:831
 #, c-format
@@ -479,13 +479,13 @@ msgstr "NextOID:                              %u\n"
 
 #: pg_resetwal.c:849
 #, c-format
-msgid "NextXID:                              %u\n"
-msgstr "NextXID:                              %u\n"
+msgid "NextXID:                              %llu\n"
+msgstr "NextXID:                              %llu\n"
 
 #: pg_resetwal.c:851
 #, c-format
-msgid "OldestXID:                            %u\n"
-msgstr "OldestXID:                            %u\n"
+msgid "OldestXID:                            %llu\n"
+msgstr "OldestXID:                            %llu\n"
 
 #: pg_resetwal.c:853
 #, c-format
@@ -499,13 +499,13 @@ msgstr "Epoch del NextXID:                    %u\n"
 
 #: pg_resetwal.c:865
 #, c-format
-msgid "oldestCommitTsXid:                    %u\n"
-msgstr "oldestCommitTsXid:                    %u\n"
+msgid "oldestCommitTsXid:                    %llu\n"
+msgstr "oldestCommitTsXid:                    %llu\n"
 
 #: pg_resetwal.c:870
 #, c-format
-msgid "newestCommitTsXid:                    %u\n"
-msgstr "newestCommitTsXid:                    %u\n"
+msgid "newestCommitTsXid:                    %llu\n"
+msgstr "newestCommitTsXid:                    %llu\n"
 
 #: pg_resetwal.c:956 pg_resetwal.c:1024 pg_resetwal.c:1071
 #, c-format
diff --git a/src/bin/pg_resetwal/po/fr.po b/src/bin/pg_resetwal/po/fr.po
index 4ebf78caa8..f9e3a8d600 100644
--- a/src/bin/pg_resetwal/po/fr.po
+++ b/src/bin/pg_resetwal/po/fr.po
@@ -309,8 +309,8 @@ msgstr "activé"
 
 #: pg_resetwal.c:758
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "Dernier NextXID du point de contrôle :                  %u:%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "Dernier NextXID du point de contrôle :                  %u:%llu\n"
 
 #: pg_resetwal.c:761
 #, c-format
@@ -319,8 +319,8 @@ msgstr "Dernier NextOID du point de contrôle :                  %u\n"
 
 #: pg_resetwal.c:763
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "Dernier NextMultiXactId du point de contrôle :          %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "Dernier NextMultiXactId du point de contrôle :          %llu\n"
 
 #: pg_resetwal.c:765
 #, c-format
@@ -329,8 +329,8 @@ msgstr "Dernier NextMultiOffset du point de contrôle :          %u\n"
 
 #: pg_resetwal.c:767
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "Dernier oldestXID du point de contrôle :                %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "Dernier oldestXID du point de contrôle :                %llu\n"
 
 #: pg_resetwal.c:769
 #, c-format
@@ -339,13 +339,13 @@ msgstr "Dernier oldestXID du point de contrôle de la base :     %u\n"
 
 #: pg_resetwal.c:771
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "Dernier oldestActiveXID du point de contrôle :          %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "Dernier oldestActiveXID du point de contrôle :          %llu\n"
 
 #: pg_resetwal.c:773
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "Dernier oldestMultiXID du point de contrôle :           %u\n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "Dernier oldestMultiXID du point de contrôle :           %llu\n"
 
 #: pg_resetwal.c:775
 #, c-format
@@ -354,13 +354,13 @@ msgstr "Dernier oldestMulti du point de contrôle de la base :     %u\n"
 
 #: pg_resetwal.c:777
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "Dernier oldestCommitTsXid du point de contrôle :        %u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "Dernier oldestCommitTsXid du point de contrôle :        %llu\n"
 
 #: pg_resetwal.c:779
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "Dernier newestCommitTsXid du point de contrôle :        %u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "Dernier newestCommitTsXid du point de contrôle :        %llu\n"
 
 #: pg_resetwal.c:781
 #, c-format
@@ -454,13 +454,13 @@ msgstr "Premier segment du journal après réinitialisation :     %s\n"
 
 #: pg_resetwal.c:827
 #, c-format
-msgid "NextMultiXactId:                      %u\n"
-msgstr "NextMultiXactId:                      %u\n"
+msgid "NextMultiXactId:                      %llu\n"
+msgstr "NextMultiXactId:                      %llu\n"
 
 #: pg_resetwal.c:829
 #, c-format
-msgid "OldestMultiXid:                       %u\n"
-msgstr "OldestMultiXid:                       %u\n"
+msgid "OldestMultiXid:                       %llu\n"
+msgstr "OldestMultiXid:                       %llu\n"
 
 #: pg_resetwal.c:831
 #, c-format
@@ -479,13 +479,13 @@ msgstr "NextOID:                              %u\n"
 
 #: pg_resetwal.c:849
 #, c-format
-msgid "NextXID:                              %u\n"
-msgstr "NextXID:                              %u\n"
+msgid "NextXID:                              %llu\n"
+msgstr "NextXID:                              %llu\n"
 
 #: pg_resetwal.c:851
 #, c-format
-msgid "OldestXID:                            %u\n"
-msgstr "OldestXID:                            %u\n"
+msgid "OldestXID:                            %llu\n"
+msgstr "OldestXID:                            %llu\n"
 
 #: pg_resetwal.c:853
 #, c-format
@@ -499,13 +499,13 @@ msgstr "NextXID Epoch:                        %u\n"
 
 #: pg_resetwal.c:865
 #, c-format
-msgid "oldestCommitTsXid:                    %u\n"
-msgstr "oldestCommitTsXid:                    %u\n"
+msgid "oldestCommitTsXid:                    %llu\n"
+msgstr "oldestCommitTsXid:                    %llu\n"
 
 #: pg_resetwal.c:870
 #, c-format
-msgid "newestCommitTsXid:                    %u\n"
-msgstr "newestCommitTsXid:                    %u\n"
+msgid "newestCommitTsXid:                    %llu\n"
+msgstr "newestCommitTsXid:                    %llu\n"
 
 #: pg_resetwal.c:956 pg_resetwal.c:1024 pg_resetwal.c:1071
 #, c-format
diff --git a/src/bin/pg_resetwal/po/it.po b/src/bin/pg_resetwal/po/it.po
index 9fc4479060..281187c367 100644
--- a/src/bin/pg_resetwal/po/it.po
+++ b/src/bin/pg_resetwal/po/it.po
@@ -263,8 +263,8 @@ msgstr "attivato"
 
 #: pg_resetxlog.c:649
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "NextXID dell'ultimo checkpoint:             %u.%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "NextXID dell'ultimo checkpoint:             %u:%llu\n"
 
 #: pg_resetxlog.c:652
 #, c-format
@@ -273,8 +273,8 @@ msgstr "NextOID dell'ultimo checkpoint:             %u\n"
 
 #: pg_resetxlog.c:654
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "NextMultiXactId dell'ultimo checkpoint:     %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "NextMultiXactId dell'ultimo checkpoint:     %llu\n"
 
 #: pg_resetxlog.c:656
 #, c-format
@@ -283,8 +283,8 @@ msgstr "NextMultiOffset dell'ultimo checkpoint:     %u\n"
 
 #: pg_resetxlog.c:658
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "oldestXID dell'ultimo checkpoint:           %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "oldestXID dell'ultimo checkpoint:           %llu\n"
 
 #: pg_resetxlog.c:660
 #, c-format
@@ -293,13 +293,13 @@ msgstr "DB dell'oldestXID dell'ultimo checkpoint:   %u\n"
 
 #: pg_resetxlog.c:662
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "oldestActiveXID dell'ultimo checkpoint:     %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "oldestActiveXID dell'ultimo checkpoint:     %llu\n"
 
 #: pg_resetxlog.c:664
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "oldestMultiXID dell'ultimo checkpoint:      %u\n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "oldestMultiXID dell'ultimo checkpoint:      %llu\n"
 
 #: pg_resetxlog.c:666
 #, c-format
@@ -308,13 +308,13 @@ msgstr "DB dell'oldestMulti dell'ultimo checkpoint: %u\n"
 
 #: pg_resetxlog.c:668
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "oldestCommitTsXid dell'ultimo checkpoint:   %u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "oldestCommitTsXid dell'ultimo checkpoint:   %llu\n"
 
 #: pg_resetxlog.c:670
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "newestCommitTsXid dell'ultimo checkpoint:   %u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "newestCommitTsXid dell'ultimo checkpoint:   %llu\n"
 
 #: pg_resetxlog.c:672
 #, c-format
@@ -417,13 +417,13 @@ msgstr "Primo segmento di log dopo il reset:        %s\n"
 
 #: pg_resetxlog.c:718
 #, c-format
-msgid "NextMultiXactId:                      %u\n"
-msgstr "NextMultiXactId:                            %u\n"
+msgid "NextMultiXactId:                      %llu\n"
+msgstr "NextMultiXactId:                            %llu\n"
 
 #: pg_resetxlog.c:720
 #, c-format
-msgid "OldestMultiXid:                       %u\n"
-msgstr "OldestMultiXid:                             %u\n"
+msgid "OldestMultiXid:                       %llu\n"
+msgstr "OldestMultiXid:                             %llu\n"
 
 #: pg_resetxlog.c:722
 #, c-format
@@ -442,13 +442,13 @@ msgstr "NextOID:                                    %u\n"
 
 #: pg_resetxlog.c:740
 #, c-format
-msgid "NextXID:                              %u\n"
-msgstr "NextXID:                                    %u\n"
+msgid "NextXID:                              %llu\n"
+msgstr "NextXID:                                    %llu\n"
 
 #: pg_resetxlog.c:742
 #, c-format
-msgid "OldestXID:                            %u\n"
-msgstr "OldestXID:                                  %u\n"
+msgid "OldestXID:                            %llu\n"
+msgstr "OldestXID:                                  %llu\n"
 
 #: pg_resetxlog.c:744
 #, c-format
@@ -462,13 +462,13 @@ msgstr "Epoca del NextXID:                          %u\n"
 
 #: pg_resetxlog.c:756
 #, c-format
-msgid "oldestCommitTsXid:                    %u\n"
-msgstr "oldestCommitTsXid:                          %u\n"
+msgid "oldestCommitTsXid:                    %llu\n"
+msgstr "oldestCommitTsXid:                          %llu\n"
 
 #: pg_resetxlog.c:761
 #, c-format
-msgid "newestCommitTsXid:                    %u\n"
-msgstr "newestCommitTsXid:                          %u\n"
+msgid "newestCommitTsXid:                    %llu\n"
+msgstr "newestCommitTsXid:                          %llu\n"
 
 #: pg_resetxlog.c:827
 #, c-format
diff --git a/src/bin/pg_resetwal/po/ja.po b/src/bin/pg_resetwal/po/ja.po
index b14af6e21d..e548930691 100644
--- a/src/bin/pg_resetwal/po/ja.po
+++ b/src/bin/pg_resetwal/po/ja.po
@@ -303,8 +303,8 @@ msgstr "オン"
 
 #: pg_resetwal.c:758
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "最終チェックポイントのNextXID:               %u:%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "最終チェックポイントのNextXID:               %u:%llu\n"
 
 #: pg_resetwal.c:761
 #, c-format
@@ -313,8 +313,8 @@ msgstr "最終チェックポイントのNextOID:               %u\n"
 
 #: pg_resetwal.c:763
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "最終チェックポイントのNextMultiXactId:       %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "最終チェックポイントのNextMultiXactId:       %llu\n"
 
 #: pg_resetwal.c:765
 #, c-format
@@ -323,8 +323,8 @@ msgstr "最終チェックポイントのNextMultiOffset:       %u\n"
 
 #: pg_resetwal.c:767
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "最終チェックポイントのoldestXID:             %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "最終チェックポイントのoldestXID:             %llu\n"
 
 #: pg_resetwal.c:769
 #, c-format
@@ -333,13 +333,13 @@ msgstr "最終チェックポイントのoldestXIDのDB:         %u\n"
 
 #: pg_resetwal.c:771
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "最終チェックポイントのoldestActiveXID:       %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "最終チェックポイントのoldestActiveXID:       %llu\n"
 
 #: pg_resetwal.c:773
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "最終チェックポイントのoldestMultiXid:        %u\n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "最終チェックポイントのoldestMultiXid:        %llu\n"
 
 #: pg_resetwal.c:775
 #, c-format
@@ -348,13 +348,13 @@ msgstr "最終チェックポイントのoldestMultiのDB:       %u\n"
 
 #: pg_resetwal.c:777
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "最終チェックポイントのoldestCommitTsXid:     %u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "最終チェックポイントのoldestCommitTsXid:     %llu\n"
 
 #: pg_resetwal.c:779
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "最終チェックポイントのnewestCommitTsXid:     %u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "最終チェックポイントのnewestCommitTsXid:     %llu\n"
 
 #: pg_resetwal.c:781
 #, c-format
@@ -448,13 +448,13 @@ msgstr "リセット後最初のログセグメント:              %s\n"
 
 #: pg_resetwal.c:827
 #, c-format
-msgid "NextMultiXactId:                      %u\n"
-msgstr "NextMultiXactId:                             %u\n"
+msgid "NextMultiXactId:                      %llu\n"
+msgstr "NextMultiXactId:                             %llu\n"
 
 #: pg_resetwal.c:829
 #, c-format
-msgid "OldestMultiXid:                       %u\n"
-msgstr "OldestMultiXid:                              %u\n"
+msgid "OldestMultiXid:                       %llu\n"
+msgstr "OldestMultiXid:                              %llu\n"
 
 #: pg_resetwal.c:831
 #, c-format
@@ -473,13 +473,13 @@ msgstr "NextOID:                                     %u\n"
 
 #: pg_resetwal.c:849
 #, c-format
-msgid "NextXID:                              %u\n"
-msgstr "NextXID:                                     %u\n"
+msgid "NextXID:                              %llu\n"
+msgstr "NextXID:                                     %llu\n"
 
 #: pg_resetwal.c:851
 #, c-format
-msgid "OldestXID:                            %u\n"
-msgstr "OldestXID:                                   %u\n"
+msgid "OldestXID:                            %llu\n"
+msgstr "OldestXID:                                   %llu\n"
 
 #: pg_resetwal.c:853
 #, c-format
@@ -493,13 +493,13 @@ msgstr "NextXID基点:                                 %u\n"
 
 #: pg_resetwal.c:865
 #, c-format
-msgid "oldestCommitTsXid:                    %u\n"
-msgstr "oldestCommitTsXid:                           %u\n"
+msgid "oldestCommitTsXid:                    %llu\n"
+msgstr "oldestCommitTsXid:                           %llu\n"
 
 #: pg_resetwal.c:870
 #, c-format
-msgid "newestCommitTsXid:                    %u\n"
-msgstr "newestCommitTsXid:                           %u\n"
+msgid "newestCommitTsXid:                    %llu\n"
+msgstr "newestCommitTsXid:                           %llu\n"
 
 #: pg_resetwal.c:956 pg_resetwal.c:1024 pg_resetwal.c:1071
 #, c-format
diff --git a/src/bin/pg_resetwal/po/ko.po b/src/bin/pg_resetwal/po/ko.po
index 03e30bc6d8..7686261876 100644
--- a/src/bin/pg_resetwal/po/ko.po
+++ b/src/bin/pg_resetwal/po/ko.po
@@ -308,8 +308,8 @@ msgstr "on"
 
 #: pg_resetwal.c:758
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "마지막 체크포인트 NextXID:            %u:%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "마지막 체크포인트 NextXID:            %u:%llu\n"
 
 #: pg_resetwal.c:761
 #, c-format
@@ -318,8 +318,8 @@ msgstr "마지막 체크포인트 NextOID:            %u\n"
 
 #: pg_resetwal.c:763
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "마지막 체크포인트 NextMultiXactId:    %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "마지막 체크포인트 NextMultiXactId:    %llu\n"
 
 #: pg_resetwal.c:765
 #, c-format
@@ -328,8 +328,8 @@ msgstr "마지막 체크포인트 NextMultiOffset:    %u\n"
 
 #: pg_resetwal.c:767
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "마지막 체크포인트 제일 오래된 XID:    %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "마지막 체크포인트 제일 오래된 XID:    %llu\n"
 
 #: pg_resetwal.c:769
 #, c-format
@@ -338,13 +338,13 @@ msgstr "마지막 체크포인트 제일 오래된 XID의 DB:%u\n"
 
 #: pg_resetwal.c:771
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "마지막 체크포인트 제일 오래된 ActiveXID:%u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "마지막 체크포인트 제일 오래된 ActiveXID:%llu\n"
 
 #: pg_resetwal.c:773
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "마지막 체크포인트 제일 오래된 MultiXid:%u\n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "마지막 체크포인트 제일 오래된 MultiXid:%llu\n"
 
 #: pg_resetwal.c:775
 #, c-format
@@ -353,13 +353,13 @@ msgstr "마지막 체크포인트 제일 오래된 MultiXid의 DB:%u\n"
 
 #: pg_resetwal.c:777
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "마지막 체크포인트 제일 오래된 CommitTsXid:%u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "마지막 체크포인트 제일 오래된 CommitTsXid:%llu\n"
 
 #: pg_resetwal.c:779
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "마지막 체크포인트 최신 CommitTsXid:   %u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "마지막 체크포인트 최신 CommitTsXid:   %llu\n"
 
 #: pg_resetwal.c:781
 #, c-format
@@ -453,13 +453,13 @@ msgstr "리셋 뒤 첫 로그 세그먼트:             %s\n"
 
 #: pg_resetwal.c:827
 #, c-format
-msgid "NextMultiXactId:                      %u\n"
-msgstr "NextMultiXactId:                      %u\n"
+msgid "NextMultiXactId:                      %llu\n"
+msgstr "NextMultiXactId:                      %llu\n"
 
 #: pg_resetwal.c:829
 #, c-format
-msgid "OldestMultiXid:                       %u\n"
-msgstr "OldestMultiXid:                       %u\n"
+msgid "OldestMultiXid:                       %llu\n"
+msgstr "OldestMultiXid:                       %llu\n"
 
 #: pg_resetwal.c:831
 #, c-format
@@ -478,13 +478,13 @@ msgstr "NextOID:                              %u\n"
 
 #: pg_resetwal.c:849
 #, c-format
-msgid "NextXID:                              %u\n"
-msgstr "NextXID:                              %u\n"
+msgid "NextXID:                              %llu\n"
+msgstr "NextXID:                              %llu\n"
 
 #: pg_resetwal.c:851
 #, c-format
-msgid "OldestXID:                            %u\n"
-msgstr "OldestXID:                            %u\n"
+msgid "OldestXID:                            %llu\n"
+msgstr "OldestXID:                            %llu\n"
 
 #: pg_resetwal.c:853
 #, c-format
@@ -498,13 +498,13 @@ msgstr "NextXID epoch:                        %u\n"
 
 #: pg_resetwal.c:865
 #, c-format
-msgid "oldestCommitTsXid:                    %u\n"
-msgstr "제일 오래된 CommitTsXid:              %u\n"
+msgid "oldestCommitTsXid:                    %llu\n"
+msgstr "제일 오래된 CommitTsXid:              %llu\n"
 
 #: pg_resetwal.c:870
 #, c-format
-msgid "newestCommitTsXid:                    %u\n"
-msgstr "최근 CommitTsXid:                     %u\n"
+msgid "newestCommitTsXid:                    %llu\n"
+msgstr "최근 CommitTsXid:                     %llu\n"
 
 #: pg_resetwal.c:956 pg_resetwal.c:1024 pg_resetwal.c:1071
 #, c-format
diff --git a/src/bin/pg_resetwal/po/pl.po b/src/bin/pg_resetwal/po/pl.po
index d87214bc53..e06b5cfe20 100644
--- a/src/bin/pg_resetwal/po/pl.po
+++ b/src/bin/pg_resetwal/po/pl.po
@@ -248,8 +248,8 @@ msgstr "włączone"
 #: pg_resetxlog.c:649
 #, c-format
 #| msgid "Latest checkpoint's NextXID:          %u/%u\n"
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "NextXID najnowszego punktu kontrolnego:          %u:%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "NextXID najnowszego punktu kontrolnego:          %u:%llu\n"
 
 #: pg_resetxlog.c:652
 #, c-format
@@ -258,8 +258,8 @@ msgstr "NextOID najnowszego punktu kontrolnego:          %u\n"
 
 #: pg_resetxlog.c:654
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "NextMultiXactId najnowszego punktu kontrolnego:  %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "NextMultiXactId najnowszego punktu kontrolnego:  %llu\n"
 
 #: pg_resetxlog.c:656
 #, c-format
@@ -268,8 +268,8 @@ msgstr "NextMultiOffset najnowszego punktu kontrolnego:  %u\n"
 
 #: pg_resetxlog.c:658
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "oldestXID najnowszego punktu kontrolnego:        %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "oldestXID najnowszego punktu kontrolnego:        %llu\n"
 
 #: pg_resetxlog.c:660
 #, c-format
@@ -278,8 +278,8 @@ msgstr "DB oldestXID'u najnowszego punktu kontrolnego:   %u\n"
 
 #: pg_resetxlog.c:662
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "NextXID najnowszego punktu kontrolnego:          %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "NextXID najnowszego punktu kontrolnego:          %llu\n"
 
 #: pg_resetxlog.c:664
 #, c-format
@@ -293,13 +293,13 @@ msgstr "DB oldestMulti'u najnowszego punktu kontrolnego:  %u\n"
 
 #: pg_resetxlog.c:668
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "oldestCommitTsXid najnowszego punktu kontrolnego: %u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "oldestCommitTsXid najnowszego punktu kontrolnego: %llu\n"
 
 #: pg_resetxlog.c:670
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "newestCommitTsXid najnowszego punktu kontrolnego: %u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "newestCommitTsXid najnowszego punktu kontrolnego: %llu\n"
 
 #: pg_resetxlog.c:672
 #, c-format
@@ -402,13 +402,13 @@ msgstr "Pierwszy segment dziennika po resecie:            %s\n"
 
 #: pg_resetxlog.c:718
 #, c-format
-msgid "NextMultiXactId:                      %u\n"
-msgstr "NextMultiXactId:                                  %u\n"
+msgid "NextMultiXactId:                      %llu\n"
+msgstr "NextMultiXactId:                                  %llu\n"
 
 #: pg_resetxlog.c:720
 #, c-format
-msgid "OldestMultiXid:                       %u\n"
-msgstr "OldestMultiXid:                                   %u\n"
+msgid "OldestMultiXid:                       %llu\n"
+msgstr "OldestMultiXid:                                   %llu\n"
 
 #: pg_resetxlog.c:722
 #, c-format
@@ -427,13 +427,13 @@ msgstr "NextOID:                                          %u\n"
 
 #: pg_resetxlog.c:740
 #, c-format
-msgid "NextXID:                              %u\n"
-msgstr "NextXID:                                          %u\n"
+msgid "NextXID:                              %llu\n"
+msgstr "NextXID:                                          %llu\n"
 
 #: pg_resetxlog.c:742
 #, c-format
-msgid "OldestXID:                            %u\n"
-msgstr "OldestXID:                                        %u\n"
+msgid "OldestXID:                            %llu\n"
+msgstr "OldestXID:                                        %llu\n"
 
 #: pg_resetxlog.c:744
 #, c-format
@@ -447,13 +447,13 @@ msgstr "Epoka NextXID:                                    %u\n"
 
 #: pg_resetxlog.c:756
 #, c-format
-msgid "oldestCommitTsXid:                    %u\n"
-msgstr "oldestCommitTsXid:                                %u\n"
+msgid "oldestCommitTsXid:                    %llu\n"
+msgstr "oldestCommitTsXid:                                %llu\n"
 
 #: pg_resetxlog.c:761
 #, c-format
-msgid "newestCommitTsXid:                    %u\n"
-msgstr "newestCommitTsXid:                                %u\n"
+msgid "newestCommitTsXid:                    %llu\n"
+msgstr "newestCommitTsXid:                                %llu\n"
 
 #: pg_resetxlog.c:827
 #, c-format
diff --git a/src/bin/pg_resetwal/po/pt_BR.po b/src/bin/pg_resetwal/po/pt_BR.po
index 491e8b67d8..d5a3aba77f 100644
--- a/src/bin/pg_resetwal/po/pt_BR.po
+++ b/src/bin/pg_resetwal/po/pt_BR.po
@@ -246,8 +246,8 @@ msgstr "habilitado"
 
 #: pg_resetxlog.c:649
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "NextXID do último ponto de controle:               %u:%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "NextXID do último ponto de controle:               %u:%llu\n"
 
 #: pg_resetxlog.c:652
 #, c-format
@@ -256,8 +256,8 @@ msgstr "NextOID do último ponto de controle:               %u\n"
 
 #: pg_resetxlog.c:654
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "NextMultiXactId do último ponto de controle:       %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "NextMultiXactId do último ponto de controle:       %llu\n"
 
 #: pg_resetxlog.c:656
 #, c-format
@@ -266,8 +266,8 @@ msgstr "NextMultiOffset do último ponto de controle:       %u\n"
 
 #: pg_resetxlog.c:658
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "oldestXID do último ponto de controle:             %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "oldestXID do último ponto de controle:             %llu\n"
 
 #: pg_resetxlog.c:660
 #, c-format
@@ -276,13 +276,13 @@ msgstr "BD do oldestXID do último ponto de controle:       %u\n"
 
 #: pg_resetxlog.c:662
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "oldestActiveXID do último ponto de controle:       %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "oldestActiveXID do último ponto de controle:       %llu\n"
 
 #: pg_resetxlog.c:664
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "oldestMultiXid do último ponto de controle:        %u\n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "oldestMultiXid do último ponto de controle:        %llu\n"
 
 #: pg_resetxlog.c:666
 #, c-format
@@ -291,13 +291,13 @@ msgstr "BD do oldestMulti do último ponto de controle:     %u\n"
 
 #: pg_resetxlog.c:668
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "oldestCommitTsXid do último ponto de controle:     %u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "oldestCommitTsXid do último ponto de controle:     %llu\n"
 
 #: pg_resetxlog.c:670
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "newestCommitTsXid do último ponto de controle:     %u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "newestCommitTsXid do último ponto de controle:     %llu\n"
 
 #: pg_resetxlog.c:672
 #, c-format
@@ -400,13 +400,13 @@ msgstr "Primeiro segmento do arquivo de log após reinício: %s\n"
 
 #: pg_resetxlog.c:718
 #, c-format
-msgid "NextMultiXactId:                      %u\n"
-msgstr "NextMultiXactId:                                   %u\n"
+msgid "NextMultiXactId:                      %llu\n"
+msgstr "NextMultiXactId:                                   %llu\n"
 
 #: pg_resetxlog.c:720
 #, c-format
-msgid "OldestMultiXid:                       %u\n"
-msgstr "OldestMultiXid:                                    %u\n"
+msgid "OldestMultiXid:                       %llu\n"
+msgstr "OldestMultiXid:                                    %llu\n"
 
 #: pg_resetxlog.c:722
 #, c-format
@@ -425,13 +425,13 @@ msgstr "NextOID:                                           %u\n"
 
 #: pg_resetxlog.c:740
 #, c-format
-msgid "NextXID:                              %u\n"
-msgstr "NextXID:                                           %u\n"
+msgid "NextXID:                              %llu\n"
+msgstr "NextXID:                                           %llu\n"
 
 #: pg_resetxlog.c:742
 #, c-format
-msgid "OldestXID:                            %u\n"
-msgstr "OldestXID:                                         %u\n"
+msgid "OldestXID:                            %llu\n"
+msgstr "OldestXID:                                         %llu\n"
 
 #: pg_resetxlog.c:744
 #, c-format
@@ -445,13 +445,13 @@ msgstr "época do NextXID:                                  %u\n"
 
 #: pg_resetxlog.c:756
 #, c-format
-msgid "oldestCommitTsXid:                    %u\n"
-msgstr "oldestCommitTsXid:                                 %u\n"
+msgid "oldestCommitTsXid:                    %llu\n"
+msgstr "oldestCommitTsXid:                                 %llu\n"
 
 #: pg_resetxlog.c:761
 #, c-format
-msgid "newestCommitTsXid:                    %u\n"
-msgstr "newestCommitTsXid:                                 %u\n"
+msgid "newestCommitTsXid:                    %llu\n"
+msgstr "newestCommitTsXid:                                 %llu\n"
 
 #: pg_resetxlog.c:827
 #, c-format
diff --git a/src/bin/pg_resetwal/po/ru.po b/src/bin/pg_resetwal/po/ru.po
index d0f196d807..62aa0afe4e 100644
--- a/src/bin/pg_resetwal/po/ru.po
+++ b/src/bin/pg_resetwal/po/ru.po
@@ -329,8 +329,8 @@ msgstr "вкл."
 # skip-rule: capital-letter-first
 #: pg_resetwal.c:758
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "NextXID последней конт. точки:        %u:%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "NextXID последней конт. точки:        %u:%llu\n"
 
 # skip-rule: capital-letter-first
 #: pg_resetwal.c:761
@@ -341,8 +341,8 @@ msgstr "NextOID последней конт. точки:        %u\n"
 # skip-rule: capital-letter-first
 #: pg_resetwal.c:763
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "NextMultiXactId послед. конт. точки:  %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "NextMultiXactId послед. конт. точки:  %llu\n"
 
 # skip-rule: capital-letter-first
 #: pg_resetwal.c:765
@@ -353,8 +353,8 @@ msgstr "NextMultiOffset послед. конт. точки:  %u\n"
 # skip-rule: capital-letter-first
 #: pg_resetwal.c:767
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "oldestXID последней конт. точки:      %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "oldestXID последней конт. точки:      %llu\n"
 
 # skip-rule: capital-letter-first
 #: pg_resetwal.c:769
@@ -365,14 +365,14 @@ msgstr "БД с oldestXID последней конт. точки: %u\n"
 # skip-rule: capital-letter-first
 #: pg_resetwal.c:771
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "oldestActiveXID последней к. т.:      %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "oldestActiveXID последней к. т.:      %llu\n"
 
 # skip-rule: capital-letter-first
 #: pg_resetwal.c:773
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "oldestMultiXid последней конт. точки: %u\n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "oldestMultiXid последней конт. точки: %llu\n"
 
 # skip-rule: capital-letter-first, double-space
 #: pg_resetwal.c:775
@@ -383,14 +383,14 @@ msgstr "БД с oldestMulti последней к. т.:     %u\n"
 # skip-rule: capital-letter-first, double-space
 #: pg_resetwal.c:777
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "oldestCommitTsXid последней к. т.:    %u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "oldestCommitTsXid последней к. т.:    %llu\n"
 
 # skip-rule: capital-letter-first, double-space
 #: pg_resetwal.c:779
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "newestCommitTsXid последней к. т.:    %u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "newestCommitTsXid последней к. т.:    %llu\n"
 
 #: pg_resetwal.c:781
 #, c-format
@@ -485,13 +485,13 @@ msgstr "Первый сегмент журнала после сброса:  %s\
 
 #: pg_resetwal.c:827
 #, c-format
-msgid "NextMultiXactId:                      %u\n"
-msgstr "NextMultiXactId:                      %u\n"
+msgid "NextMultiXactId:                      %llu\n"
+msgstr "NextMultiXactId:                      %llu\n"
 
 #: pg_resetwal.c:829
 #, c-format
-msgid "OldestMultiXid:                       %u\n"
-msgstr "OldestMultiXid:                       %u\n"
+msgid "OldestMultiXid:                       %llu\n"
+msgstr "OldestMultiXid:                       %llu\n"
 
 #: pg_resetwal.c:831
 #, c-format
@@ -510,13 +510,13 @@ msgstr "NextOID:                              %u\n"
 
 #: pg_resetwal.c:849
 #, c-format
-msgid "NextXID:                              %u\n"
-msgstr "NextXID:                              %u\n"
+msgid "NextXID:                              %llu\n"
+msgstr "NextXID:                              %llu\n"
 
 #: pg_resetwal.c:851
 #, c-format
-msgid "OldestXID:                            %u\n"
-msgstr "OldestXID:                            %u\n"
+msgid "OldestXID:                            %llu\n"
+msgstr "OldestXID:                            %llu\n"
 
 #: pg_resetwal.c:853
 #, c-format
@@ -530,13 +530,13 @@ msgstr "Эпоха NextXID:                        %u\n"
 
 #: pg_resetwal.c:865
 #, c-format
-msgid "oldestCommitTsXid:                    %u\n"
-msgstr "oldestCommitTsXid:                    %u\n"
+msgid "oldestCommitTsXid:                    %llu\n"
+msgstr "oldestCommitTsXid:                    %llu\n"
 
 #: pg_resetwal.c:870
 #, c-format
-msgid "newestCommitTsXid:                    %u\n"
-msgstr "newestCommitTsXid:                    %u\n"
+msgid "newestCommitTsXid:                    %llu\n"
+msgstr "newestCommitTsXid:                    %llu\n"
 
 #: pg_resetwal.c:956 pg_resetwal.c:1024 pg_resetwal.c:1071
 #, c-format
diff --git a/src/bin/pg_resetwal/po/sv.po b/src/bin/pg_resetwal/po/sv.po
index 74d07a3638..a4cc42a88e 100644
--- a/src/bin/pg_resetwal/po/sv.po
+++ b/src/bin/pg_resetwal/po/sv.po
@@ -306,8 +306,8 @@ msgstr "på"
 
 #: pg_resetwal.c:758
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "NextXID vid senaste kontrollpunkt:          %u:%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "NextXID vid senaste kontrollpunkt:          %u:%llu\n"
 
 #: pg_resetwal.c:761
 #, c-format
@@ -316,8 +316,8 @@ msgstr "NextOID vid senaste kontrollpunkt:          %u\n"
 
 #: pg_resetwal.c:763
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "NextMultiXactId vid senaste kontrollpunkt:  %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "NextMultiXactId vid senaste kontrollpunkt:  %llu\n"
 
 #: pg_resetwal.c:765
 #, c-format
@@ -326,8 +326,8 @@ msgstr "NextMultiOffset vid senaste kontrollpunkt:  %u\n"
 
 #: pg_resetwal.c:767
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "oldestXID vid senaste kontrollpunkt:        %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "oldestXID vid senaste kontrollpunkt:        %llu\n"
 
 #: pg_resetwal.c:769
 #, c-format
@@ -337,13 +337,13 @@ msgstr "DB för oldestXID vid senaste kontrollpunkt: %u\n"
 # FIXME: too wide
 #: pg_resetwal.c:771
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "oldestActiveXID vid senaste kontrollpunkt:  %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "oldestActiveXID vid senaste kontrollpunkt:  %llu\n"
 
 #: pg_resetwal.c:773
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "oldestMultiXid vid senaste kontrollpunkt:   %u\n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "oldestMultiXid vid senaste kontrollpunkt:   %llu\n"
 
 #: pg_resetwal.c:775
 #, c-format
@@ -352,13 +352,13 @@ msgstr "DB för oldestMulti vid senaste kontrollpkt: %u\n"
 
 #: pg_resetwal.c:777
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "oldestCommitTsXid vid senaste kontrollpunkt:%u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "oldestCommitTsXid vid senaste kontrollpunkt:%llu\n"
 
 #: pg_resetwal.c:779
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "newestCommitTsXid vid senaste kontrollpunkt:%u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "newestCommitTsXid vid senaste kontrollpunkt:%llu\n"
 
 #: pg_resetwal.c:781
 #, c-format
@@ -454,13 +454,13 @@ msgstr "Första loggsegment efter återställning: %s\n"
 
 #: pg_resetwal.c:827
 #, c-format
-msgid "NextMultiXactId:                      %u\n"
-msgstr "NextMultiXactId:                        %u\n"
+msgid "NextMultiXactId:                      %llu\n"
+msgstr "NextMultiXactId:                        %llu\n"
 
 #: pg_resetwal.c:829
 #, c-format
-msgid "OldestMultiXid:                       %u\n"
-msgstr "OldestMultiXid:                         %u\n"
+msgid "OldestMultiXid:                       %llu\n"
+msgstr "OldestMultiXid:                         %llu\n"
 
 #: pg_resetwal.c:831
 #, c-format
@@ -479,13 +479,13 @@ msgstr "NextOID:                                %u\n"
 
 #: pg_resetwal.c:849
 #, c-format
-msgid "NextXID:                              %u\n"
-msgstr "NextXID:                                %u\n"
+msgid "NextXID:                              %llu\n"
+msgstr "NextXID:                                %llu\n"
 
 #: pg_resetwal.c:851
 #, c-format
-msgid "OldestXID:                            %u\n"
-msgstr "OldestXID:                              %u\n"
+msgid "OldestXID:                            %llu\n"
+msgstr "OldestXID:                              %llu\n"
 
 #: pg_resetwal.c:853
 #, c-format
@@ -499,13 +499,13 @@ msgstr "Epoch för NextXID:                       %u\n"
 
 #: pg_resetwal.c:865
 #, c-format
-msgid "oldestCommitTsXid:                    %u\n"
-msgstr "oldestCommitTsXid:                    %u\n"
+msgid "oldestCommitTsXid:                    %llu\n"
+msgstr "oldestCommitTsXid:                    %llu\n"
 
 #: pg_resetwal.c:870
 #, c-format
-msgid "newestCommitTsXid:                    %u\n"
-msgstr "newestCommitTsXid:                    %u\n"
+msgid "newestCommitTsXid:                    %llu\n"
+msgstr "newestCommitTsXid:                    %llu\n"
 
 #: pg_resetwal.c:956 pg_resetwal.c:1024 pg_resetwal.c:1071
 #, c-format
diff --git a/src/bin/pg_resetwal/po/tr.po b/src/bin/pg_resetwal/po/tr.po
index 48b1497c55..0ab0634a0d 100644
--- a/src/bin/pg_resetwal/po/tr.po
+++ b/src/bin/pg_resetwal/po/tr.po
@@ -300,8 +300,8 @@ msgstr "açık"
 
 #: pg_resetwal.c:775
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "Son checkpoint'in NextXID değeri:          %u:%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "Son checkpoint'in NextXID değeri:          %u:%llu\n"
 
 #: pg_resetwal.c:778
 #, c-format
@@ -310,8 +310,8 @@ msgstr "Son checkpoint''in NextOID değeri:          %u\n"
 
 #: pg_resetwal.c:780
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "Son checkpoint''in NextMultiXactId değeri:  %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "Son checkpoint''in NextMultiXactId değeri:  %llu\n"
 
 #: pg_resetwal.c:782
 #, c-format
@@ -320,8 +320,8 @@ msgstr "Son checkpoint''in NextMultiOffset değeri:  %u\n"
 
 #: pg_resetwal.c:784
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "Son checkpoint'in oldestXID değeri:          %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "Son checkpoint'in oldestXID değeri:          %llu\n"
 
 #: pg_resetwal.c:786
 #, c-format
@@ -330,13 +330,13 @@ msgstr "Son checkpoint'in oldestXID değeri'nin DB'si:          %u\n"
 
 #: pg_resetwal.c:788
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "Son checkpoint'in oldestActiveXID değeri:  %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "Son checkpoint'in oldestActiveXID değeri:  %llu\n"
 
 #: pg_resetwal.c:790
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "Son checkpoint'in oldestMultiXid değeri:  %u\n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "Son checkpoint'in oldestMultiXid değeri:  %llu\n"
 
 #: pg_resetwal.c:792
 #, c-format
@@ -345,13 +345,13 @@ msgstr "Son checkpoint'in oldestMulti'sinin VT'si: %u\n"
 
 #: pg_resetwal.c:794
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "Son checkpoint'in oldestCommitTsXid değeri:  %u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "Son checkpoint'in oldestCommitTsXid değeri:  %llu\n"
 
 #: pg_resetwal.c:796
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "Son checkpoint''in newestCommitTsXid değeri: %u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "Son checkpoint''in newestCommitTsXid değeri: %llu\n"
 
 #: pg_resetwal.c:798
 #, c-format
@@ -450,13 +450,13 @@ msgstr "Sıfırlamadan sonraki ilk kayıt segmenti:        %s\n"
 
 #: pg_resetwal.c:846
 #, c-format
-msgid "NextMultiXactId:                      %u\n"
-msgstr "NextMultiXactId değeri:                      %u\n"
+msgid "NextMultiXactId:                      %llu\n"
+msgstr "NextMultiXactId değeri:                      %llu\n"
 
 #: pg_resetwal.c:848
 #, c-format
-msgid "OldestMultiXid:                       %u\n"
-msgstr "OldestMultiXid değeri:                       %u\n"
+msgid "OldestMultiXid:                       %llu\n"
+msgstr "OldestMultiXid değeri:                       %llu\n"
 
 #: pg_resetwal.c:850
 #, c-format
@@ -475,13 +475,13 @@ msgstr "NextOID değeri:                              %u\n"
 
 #: pg_resetwal.c:868
 #, c-format
-msgid "NextXID:                              %u\n"
-msgstr "NextXID değeri:                              %u\n"
+msgid "NextXID:                              %llu\n"
+msgstr "NextXID değeri:                              %llu\n"
 
 #: pg_resetwal.c:870
 #, c-format
-msgid "OldestXID:                            %u\n"
-msgstr "OldestXID değeri:                            %u\n"
+msgid "OldestXID:                            %llu\n"
+msgstr "OldestXID değeri:                            %llu\n"
 
 #: pg_resetwal.c:872
 #, c-format
@@ -495,13 +495,13 @@ msgstr "NextXID devri:                        %u\n"
 
 #: pg_resetwal.c:884
 #, c-format
-msgid "oldestCommitTsXid:                    %u\n"
-msgstr "oldestCommitTsXid değeri:                    %u\n"
+msgid "oldestCommitTsXid:                    %llu\n"
+msgstr "oldestCommitTsXid değeri:                    %llu\n"
 
 #: pg_resetwal.c:889
 #, c-format
-msgid "newestCommitTsXid:                    %u\n"
-msgstr "newestCommitTsXid değeri:                    %u\n"
+msgid "newestCommitTsXid:                    %llu\n"
+msgstr "newestCommitTsXid değeri:                    %llu\n"
 
 #: pg_resetwal.c:975 pg_resetwal.c:1043 pg_resetwal.c:1090
 #, c-format
diff --git a/src/bin/pg_resetwal/po/uk.po b/src/bin/pg_resetwal/po/uk.po
index b6c024e7aa..67e6ddccb0 100644
--- a/src/bin/pg_resetwal/po/uk.po
+++ b/src/bin/pg_resetwal/po/uk.po
@@ -291,8 +291,8 @@ msgstr "увімк"
 
 #: pg_resetwal.c:758
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "Останній NextXID контрольної точки: %u%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "Останній NextXID контрольної точки: %u:%llu\n"
 
 #: pg_resetwal.c:761
 #, c-format
@@ -301,8 +301,8 @@ msgstr "Останній NextOID контрольної точки: %u\n"
 
 #: pg_resetwal.c:763
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "Останній NextMultiXactId контрольної точки: %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "Останній NextMultiXactId контрольної точки: %llu\n"
 
 #: pg_resetwal.c:765
 #, c-format
@@ -311,8 +311,8 @@ msgstr "Останній NextMultiOffset контрольної точки: %u\n
 
 #: pg_resetwal.c:767
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "Останній oldestXID контрольної точки: %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "Останній oldestXID контрольної точки: %llu\n"
 
 #: pg_resetwal.c:769
 #, c-format
@@ -321,13 +321,13 @@ msgstr "Остання DB останнього oldestXID контрольної
 
 #: pg_resetwal.c:771
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "Останній oldestActiveXID контрольної точки: %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "Останній oldestActiveXID контрольної точки: %llu\n"
 
 #: pg_resetwal.c:773
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "Останній oldestMultiXid контрольної точки: %u \n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "Останній oldestMultiXid контрольної точки: %llu\n"
 
 #: pg_resetwal.c:775
 #, c-format
@@ -336,13 +336,13 @@ msgstr "Остання DB останньої oldestMulti контрольної
 
 #: pg_resetwal.c:777
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "Останній oldestCommitTsXid контрольної точки:%u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "Останній oldestCommitTsXid контрольної точки:%llu\n"
 
 #: pg_resetwal.c:779
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "Останній newestCommitTsXid контрольної точки: %u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "Останній newestCommitTsXid контрольної точки: %llu\n"
 
 #: pg_resetwal.c:781
 #, c-format
@@ -430,13 +430,13 @@ msgstr "Перший сегмент журналу після скидання:
 
 #: pg_resetwal.c:827
 #, c-format
-msgid "NextMultiXactId:                      %u\n"
-msgstr "NextMultiXactId:                       %u\n"
+msgid "NextMultiXactId:                      %llu\n"
+msgstr "NextMultiXactId:                       %llu\n"
 
 #: pg_resetwal.c:829
 #, c-format
-msgid "OldestMultiXid:                       %u\n"
-msgstr "OldestMultiXid:                       %u\n"
+msgid "OldestMultiXid:                       %llu\n"
+msgstr "OldestMultiXid:                       %llu\n"
 
 #: pg_resetwal.c:831
 #, c-format
@@ -455,13 +455,13 @@ msgstr "NextOID:                                %u\n"
 
 #: pg_resetwal.c:849
 #, c-format
-msgid "NextXID:                              %u\n"
-msgstr "NextXID:                               %u\n"
+msgid "NextXID:                              %llu\n"
+msgstr "NextXID:                               %llu\n"
 
 #: pg_resetwal.c:851
 #, c-format
-msgid "OldestXID:                            %u\n"
-msgstr "OldestXID:                            %u\n"
+msgid "OldestXID:                            %llu\n"
+msgstr "OldestXID:                            %llu\n"
 
 #: pg_resetwal.c:853
 #, c-format
@@ -475,13 +475,13 @@ msgstr "Епоха NextXID:                        %u\n"
 
 #: pg_resetwal.c:865
 #, c-format
-msgid "oldestCommitTsXid:                    %u\n"
-msgstr "oldestCommitTsXid:                   %u\n"
+msgid "oldestCommitTsXid:                    %llu\n"
+msgstr "oldestCommitTsXid:                   %llu\n"
 
 #: pg_resetwal.c:870
 #, c-format
-msgid "newestCommitTsXid:                    %u\n"
-msgstr "newestCommitTsXid:                     %u\n"
+msgid "newestCommitTsXid:                    %llu\n"
+msgstr "newestCommitTsXid:                     %llu\n"
 
 #: pg_resetwal.c:956 pg_resetwal.c:1024 pg_resetwal.c:1071
 #, c-format
diff --git a/src/bin/pg_resetwal/po/zh_CN.po b/src/bin/pg_resetwal/po/zh_CN.po
index f5cec00c61..5b40210cb8 100644
--- a/src/bin/pg_resetwal/po/zh_CN.po
+++ b/src/bin/pg_resetwal/po/zh_CN.po
@@ -298,8 +298,8 @@ msgstr "开启"
 
 #: pg_resetwal.c:775
 #, c-format
-msgid "Latest checkpoint's NextXID:          %u:%u\n"
-msgstr "最新检查点的NextXID:          %u:%u\n"
+msgid "Latest checkpoint's NextXID:          %u:%llu\n"
+msgstr "最新检查点的NextXID:          %u:%llu\n"
 
 #: pg_resetwal.c:778
 #, c-format
@@ -308,8 +308,8 @@ msgstr "最新检查点的 NextOID:                 %u\n"
 
 #: pg_resetwal.c:780
 #, c-format
-msgid "Latest checkpoint's NextMultiXactId:  %u\n"
-msgstr "最新检查点的NextMultiXactId: %u\n"
+msgid "Latest checkpoint's NextMultiXactId:  %llu\n"
+msgstr "最新检查点的NextMultiXactId: %llu\n"
 
 #: pg_resetwal.c:782
 #, c-format
@@ -318,8 +318,8 @@ msgstr "最新检查点的NextMultiOffsetD: %u\n"
 
 #: pg_resetwal.c:784
 #, c-format
-msgid "Latest checkpoint's oldestXID:        %u\n"
-msgstr "最新检查点的oldestXID:            %u\n"
+msgid "Latest checkpoint's oldestXID:        %llu\n"
+msgstr "最新检查点的oldestXID:            %llu\n"
 
 #: pg_resetwal.c:786
 #, c-format
@@ -328,13 +328,13 @@ msgstr "最新检查点的oldestXID所在的数据库：%u\n"
 
 #: pg_resetwal.c:788
 #, c-format
-msgid "Latest checkpoint's oldestActiveXID:  %u\n"
-msgstr "最新检查点的oldestActiveXID:  %u\n"
+msgid "Latest checkpoint's oldestActiveXID:  %llu\n"
+msgstr "最新检查点的oldestActiveXID:  %llu\n"
 
 #: pg_resetwal.c:790
 #, c-format
-msgid "Latest checkpoint's oldestMultiXid:   %u\n"
-msgstr "最新检查点的oldestMultiXid:  %u\n"
+msgid "Latest checkpoint's oldestMultiXid:   %llu\n"
+msgstr "最新检查点的oldestMultiXid:  %llu\n"
 
 #: pg_resetwal.c:792
 #, c-format
@@ -343,13 +343,13 @@ msgstr "最新检查点的oldestMulti所在的数据库：%u\n"
 
 #: pg_resetwal.c:794
 #, c-format
-msgid "Latest checkpoint's oldestCommitTsXid:%u\n"
-msgstr "最新检查点的oldestCommitTsXid:%u\n"
+msgid "Latest checkpoint's oldestCommitTsXid:%llu\n"
+msgstr "最新检查点的oldestCommitTsXid:%llu\n"
 
 #: pg_resetwal.c:796
 #, c-format
-msgid "Latest checkpoint's newestCommitTsXid:%u\n"
-msgstr "最新检查点的newestCommitTsXid:%u\n"
+msgid "Latest checkpoint's newestCommitTsXid:%llu\n"
+msgstr "最新检查点的newestCommitTsXid:%llu\n"
 
 #: pg_resetwal.c:798
 #, c-format
@@ -447,13 +447,13 @@ msgstr "First log segment after reset:        %s\n"
 
 #: pg_resetwal.c:846
 #, c-format
-msgid "NextMultiXactId:                      %u\n"
-msgstr "NextMultiXactId:                      %u\n"
+msgid "NextMultiXactId:                      %llu\n"
+msgstr "NextMultiXactId:                      %llu\n"
 
 #: pg_resetwal.c:848
 #, c-format
-msgid "OldestMultiXid:                       %u\n"
-msgstr "OldestMultiXid:                       %u\n"
+msgid "OldestMultiXid:                       %llu\n"
+msgstr "OldestMultiXid:                       %llu\n"
 
 #: pg_resetwal.c:850
 #, c-format
@@ -472,13 +472,13 @@ msgstr "NextOID:                              %u\n"
 
 #: pg_resetwal.c:868
 #, c-format
-msgid "NextXID:                              %u\n"
-msgstr "NextXID:                              %u\n"
+msgid "NextXID:                              %llu\n"
+msgstr "NextXID:                              %llu\n"
 
 #: pg_resetwal.c:870
 #, c-format
-msgid "OldestXID:                            %u\n"
-msgstr "OldestXID:                            %u\n"
+msgid "OldestXID:                            %llu\n"
+msgstr "OldestXID:                            %llu\n"
 
 #: pg_resetwal.c:872
 #, c-format
@@ -492,13 +492,13 @@ msgstr "NextXID epoch:                        %u\n"
 
 #: pg_resetwal.c:884
 #, c-format
-msgid "oldestCommitTsXid:                    %u\n"
-msgstr "oldestCommitTsXid:                    %u\n"
+msgid "oldestCommitTsXid:                    %llu\n"
+msgstr "oldestCommitTsXid:                    %llu\n"
 
 #: pg_resetwal.c:889
 #, c-format
-msgid "newestCommitTsXid:                    %u\n"
-msgstr "newestCommitTsXid:                    %u\n"
+msgid "newestCommitTsXid:                    %llu\n"
+msgstr "newestCommitTsXid:                    %llu\n"
 
 #: pg_resetwal.c:975 pg_resetwal.c:1043 pg_resetwal.c:1090
 #, c-format
-- 
2.35.1

